// JavaScript Document
/*
**动态设置HTML标签的font-size值
*/
(function (doc, win) {
	var FONTSIZE = 32,
		docEl = doc.documentElement,
		resizeEvt = 'orientationchange' in window ? 'orientationchange' : 'resize',
		recalc = function () {
			var clientWidth = docEl.clientWidth;
			if (!clientWidth) return;
			docEl.style.fontSize = FONTSIZE * (clientWidth /750) + 'px';
			if(clientWidth >= 750){
				docEl.style.fontSize = 16+ 'px';
			}
		};
	
	if (!doc.addEventListener) return;
	win.addEventListener(resizeEvt, recalc, false);
	doc.addEventListener('DOMContentLoaded', recalc, false);
})(document, window);
       
//(function (doc, win) {    
//  var docEl = doc.documentElement,    
//  resizeEvt = 'orientationchange' in window ? 'orientationchange' : 'resize',    
//  recalc = function () {    
//  var clientWidth = docEl.clientWidth;    
//  if (!clientWidth) return;    
//  docEl.style.fontSize = 14 * (clientWidth / 375) + 'px';    
//};    
//if (!doc.addEventListener) return;    
//win.addEventListener(resizeEvt, recalc, false);    
//doc.addEventListener('DOMContentLoaded', recalc, false);    
//})(document, window);    