mui.plusReady(function () {
    var adviser;
    var store;
    var services;
	var storeMes;
    
    var adviserID = null;
    var lat = null;
    var lng = null;
    var loccd = null;
    
    var self = plus.webview.currentWebview();
    
    if(self.loccd){
    	loccd = self.loccd;
    }
    
    if(self.adviserID){
    	adviserID = self.adviserID;
    }
    
    if(self.lat){
    	lat = self.lat;
    }
    
    if(self.lng){
    	lng = self.lng;
    }
	if(self.storeMes){
		storeMes = self.storeMes;
	}
    
    function requestTheAdviserDetail(sloccd,sadviserID,slat,slng){
    	var method = 'storeAdviserDetail';
    	var param = {};
    	// {"storeNum":"0188","lng":"116.210828","lat":"39.916332","adviserID":"0010970203111"}
    	param.storeNum = sloccd;
    	param.adviserID = sadviserID;
    	if(slat && slng){
    		param.lat = slat;
    		param.lng = slng;
    	}
    	
    	youpinRequest(method,param,function(res){
    		// mui.toast('请求成功');
    		debug(res,res);
    		store = res.store;
    		showStoreDetail(store);
    		adviser = res.adviser;
    		showAdviserDetail(adviser);
    		services = res.services;
    		showServiceList(services);
    		
    	},function(fail){
    		mui.toast(fail);
    	},function(timeout){
    		mui.toast(timeout);
    	});
    
    }
    
    function showAdviserDetail(item){
    	debug(item,'adviser');
    	$('#name')[0].innerHTML = item.name;
		if(item.sex == '男'){
			document.getElementById('sex').setAttribute('src','../images/youpin/adviser/male.png')
		}else if(item.sex == '女'){
			document.getElementById('sex').setAttribute('src','../images/youpin/adviser/female.png')
		}
		var auths = item.authentications;
		if(auths.length){
			for (var i = 0; i < auths.length; i++) {
				var auth = auths[i];
				if(auth.length){
					var authSpan = document.createElement('span');
					authSpan.id = 'auth';
					authSpan.innerHTML = auth;
					$('.auths')[0].appendChild(authSpan);
				}
			}
		}
    	if(item.closestTime){
			$('.time')[0].classList.remove('hide')
    		$('#closeTime')[0].innerHTML = item.closestTime;
    	}
    	
		
    	
    	$('#avator')[0].setAttribute('src',item.avator);
    	
    }
    
    function showStoreDetail(item){
    	
    	debug(item,'store');
    	$('#store-mes')[0].innerHTML = item.storeName;
    	
    }
    
    function showServiceList(items){
    	debug(items,'services');
    	for (var i = 0; i < items.length; i++) {
    		var item = items[i];
    		
    		var itemDiv = document.createElement('div');
    		itemDiv.classList.add('service-item');
    		$('.service-list')[0].appendChild(itemDiv);
    		itemDiv.setAttribute('serviceID',item.serviceID);
			itemDiv.setAttribute('skuID',item.id);
    		
    		var imgEle = document.createElement('img');
    		imgEle.classList.add('service-img');
    		imgEle.setAttribute('src',item.serviceImg);
    		itemDiv.appendChild(imgEle);
    		
    		var desDiv = document.createElement('div');
    		desDiv.classList.add('service-description');
    		itemDiv.appendChild(desDiv);
    		
    		var nameDiv = document.createElement('div');
    		nameDiv.classList.add('service-name');
    		nameDiv.innerHTML = item.serviceName;
    		desDiv.appendChild(nameDiv);
    		
    		var timeDiv = document.createElement('div');
    		timeDiv.classList.add('service-time');
    		timeDiv.innerHTML = '时长:'+item.serviceTime+'分钟';
    		desDiv.appendChild(timeDiv);
			
			var specDiv = document.createElement('div');
			specDiv.classList.add('service-spec');
			specDiv.innerHTML = '规格:'+ item.serviceSpec;
			desDiv.appendChild(specDiv);
    		
    		// var orderTimeDiv = document.createElement('div');
    		// orderTimeDiv.classList.add('service-order-time');
    		// orderTimeDiv.innerHTML = '最近可约'+ item.closetOrderTime;
    		// desDiv.appendChild(orderTimeDiv);
    		
    		// var priceDiv = document.createElement('div');
    		// priceDiv.classList.add('service-price');
    		// desDiv.appendChild(priceDiv);
    		
    		// var priceSpan = document.createElement('span');
    		// priceSpan.id = 'price';
    		// priceSpan.innerHTML = item.servicePrice;
    		// priceDiv.appendChild(priceSpan);
    		// priceDiv.innerHTML += '元/次';
    		
    		var btnEle = document.createElement('button');
    		btnEle.classList.add('order');
    		btnEle.type = 'button';
    		btnEle.innerHTML = '预约';
    		btnEle.setAttribute('service_id',item.serviceID);
			btnEle.setAttribute('skuID',item.id);
    		btnEle.setAttribute('name',item.serviceSpec);
    		btnEle.setAttribute('duration',item.serviceTime);
    		btnEle.setAttribute('price',item.servicePrice);
    		btnEle.setAttribute('serviceName',item.serviceName);
			btnEle.setAttribute('serviceImg',item.serviceImg);
    		itemDiv.appendChild(btnEle);
    		
    	}
    }
    
    requestTheAdviserDetail(loccd,adviserID,lat,lng);
    
    mui('.mui-content').on('tap','.service-item',function(){
    	var itemDiv = this;
    	var serviceID = itemDiv.getAttribute('serviceID');
		var skuID = itemDiv.getAttribute('skuID');
    	debug(serviceID,serviceID);
		var param = {'serviceID':serviceID,'skuID':skuID};
		if(self.storeMes){
			param.storeMes = storeMes;
		}
		if(lat && lng){
			param.userLat = lat;
			param.userLng = lng;
		}
    	clicked('service-detail.html', 'service-detail', param);
    })
    
    mui('.mui-content').on('tap','.order',function(event){
    	debug('order');
    	event.stopPropagation();
    	var btnEle = this;
		var serviceID = btnEle.getAttribute('service_id');
		var skuID = btnEle.getAttribute('skuID');
		var param = {'serviceID':serviceID,'skuID':skuID};
		if(self.storeMes){
			param.storeMes = storeMes;
		}
		if(lat && lng){
			param.userLat = lat;
			param.userLng = lng;
		}
		clicked('service-detail.html', 'service-detail', param);
		
		
  //   	var sku = {};
  //   	sku.service_id = btnEle.getAttribute('service_id');
  //   	sku.name = btnEle.getAttribute('name');
  //   	sku.duration = btnEle.getAttribute('duration');
  //   	sku.price = btnEle.getAttribute('price');
  //   	debug(sku);
  //   	var service = {'service_name':btnEle.getAttribute('serviceName'),'image':btnEle.getAttribute('serviceImg')};
  //   	var param = {'sku':sku,'service':service};
		// if(self.storeMes){
		// 	param.storeMes = storeMes;
		// }
		// if(lat && lng){
		// 	param.userLat = lat;
		// 	param.userLng = lng;
		// }
  //   	debug(param);
  //   	clicked('service-make-order.html', 'service-make-order', param);
    });
})
