mui.plusReady(function () {
    function requestTheCardListWithType(type) {
    	debug('request');
    	var method = '';
    	var param = {};
    	if (type == 'card-expired') {
    		method = 'getCardByFlag';
    		param.flag = '2';
    	} else if (type == 'card-used') {
    		method = 'getCardByFlag';
    		param.flag = '1';
    	}
    	// plus.nativeUI.showWaiting();
    	youpinRequest(method, param, function(res) {
    		debug(res);
    		// mui.toast('请求成功');
    		$('.mui-table-view')[0].innerHTML = '';
    		showCardList(res);
    		plus.nativeUI.closeWaiting();
    	}, function(fail) {
    		mui.toast(fail);
    		plus.nativeUI.closeWaiting();
    	}, function(timeout) {
    		mui.toast(timeout);
    		plus.nativeUI.closeWaiting();
    	});
    }
    
    function showCardList(cardArray) {
    
    	for (var i = 0; i < cardArray.length; i++) {
    
    		var item = cardArray[i];
    		var period = item.period;
    		debug(period);
    		var cardList = item.cardList;
    		var periodEle = createPeriodDiv(period);
    		$('.mui-table-view')[0].appendChild(periodEle);
    
    		for (var j = 0; j < cardList.length; j++) {
    
    			var cardItem = cardList[j];
    
    			if (cardItem.type == '1') {
    
    				var cardEle = createNormalDiv(cardItem);
    				periodEle.appendChild(cardEle);
    
    			} else if (cardItem.type == '2') {
    
    				var cardEle = createVipDiv(cardItem);
    				periodEle.appendChild(cardEle);
    
    			}
    		}
    	}
    
    };
    // 创建周期div
    function createPeriodDiv(period) {
    
    	var liEle = document.createElement('li');
    	liEle.classList.add('mui-table-view-cell');
    
    	var timeDivEle = document.createElement('div');
    	timeDivEle.classList.add('time-div');
    	liEle.appendChild(timeDivEle);
    
    	var imgEle = document.createElement('img');
    	imgEle.setAttribute('src', '../images/cardbox/circle.png');
    	timeDivEle.appendChild(imgEle);
    
    	var cardTimeEle = document.createElement('div');
    	cardTimeEle.classList.add('card-enter-time');
    	cardTimeEle.innerHTML = period;
    	timeDivEle.appendChild(cardTimeEle);
    
    	return liEle;
    };
    // 创建体验卡Div
    function createNormalDiv(cardItem) {
    	debug(cardItem);
    	var contentDivEle = document.createElement('div');
    	contentDivEle.classList.add('content-div', 'content-div-normal');
		
    
    	var lineDivEle = document.createElement('div');
    	lineDivEle.classList.add('line-div');
    	contentDivEle.appendChild(lineDivEle);
    
    	var cardNormalDiv = document.createElement('div');
    	cardNormalDiv.classList.add('card-normal');
		
		if(section == 'card-expired'){
			cardNormalDiv.classList.add('expired');
		}else if(section == 'card-used'){
			cardNormalDiv.classList.add('used');
		}
    	contentDivEle.appendChild(cardNormalDiv);
		debug(cardNormalDiv.style.backgroundImage);
    	// var cardNumDiv = document.createElement('div');
    	// cardNumDiv.classList.add('card-num');
    	// cardNumDiv.innerHTML = cardItem.count + '张';
    	// cardNormalDiv.appendChild(cardNumDiv);
    
    	var cardNormalContentDiv = document.createElement('div');
    	cardNormalContentDiv.classList.add('card-normal-content');
    	cardNormalDiv.appendChild(cardNormalContentDiv);
    
    	var cardNormalContentLeftDiv = document.createElement('div');
    	cardNormalContentLeftDiv.classList.add('card-normal-content-left');
    	cardNormalContentDiv.appendChild(cardNormalContentLeftDiv);
    
    	var cardNormalContentLeftNameDiv = document.createElement('div');
    	cardNormalContentLeftNameDiv.classList.add('card-normal-content-left-name');
    	cardNormalContentLeftNameDiv.innerHTML = cardItem.type_name;
    	cardNormalContentLeftDiv.appendChild(cardNormalContentLeftNameDiv);
    
    	// var cardNormalContentLeftNumDiv = document.createElement('div');
    	// cardNormalContentLeftNumDiv.classList.add('card-normal-content-left-nums');
    	// cardNormalContentLeftNumDiv.innerHTML = '已使用' + cardItem.used_num + ' ' + '总发放量' + cardItem.count;
    	// cardNormalContentLeftDiv.appendChild(cardNormalContentLeftNumDiv);
    
    	var cardNormalContentLeftTimeDiv = document.createElement('div');
    	cardNormalContentLeftTimeDiv.classList.add('card-normal-content-left-time');
    	cardNormalContentLeftTimeDiv.innerHTML = cardItem.startTime + '-' + cardItem.endTime;
    	cardNormalContentLeftDiv.appendChild(cardNormalContentLeftTimeDiv);
    
    	var cardNormalContentRightDiv = document.createElement('div');
    	cardNormalContentRightDiv.classList.add('card-normal-content-right');
    	cardNormalContentDiv.appendChild(cardNormalContentRightDiv);
    
    	var cardNormalContentRightCountDiv = document.createElement('div');
    	cardNormalContentRightCountDiv.classList.add('card-normal-content-right-count');
    	cardNormalContentRightCountDiv.innerHTML = '1';
    	cardNormalContentRightDiv.appendChild(cardNormalContentRightCountDiv);
    
    	var cardNormalContentRightCountdespDiv = document.createElement('div');
    	cardNormalContentRightCountdespDiv.classList.add('card-normal-content-right-countdesp');
    	cardNormalContentRightCountdespDiv.innerHTML = '已用次数';
    	cardNormalContentRightDiv.appendChild(cardNormalContentRightCountdespDiv);
    
    	var cardNormalContentuttonrowDiv = document.createElement('div');
    	cardNormalContentuttonrowDiv.classList.add('card-normal-contet-buttonrow');
    	cardNormalDiv.appendChild(cardNormalContentuttonrowDiv);
    
    	var cardNormalContentuttonrowDesDiv = document.createElement('div');
    	cardNormalContentuttonrowDesDiv.classList.add('card-normal-contet-buttonrow-desc');
    	cardNormalContentuttonrowDiv.appendChild(cardNormalContentuttonrowDesDiv);
    
    	var cardNormalContentuttonrowTitleDiv = document.createElement('div');
    	cardNormalContentuttonrowTitleDiv.classList.add('card-normal-contet-buttonrow-title');
    	cardNormalContentuttonrowTitleDiv.innerHTML = '使用说明';
    	cardNormalContentuttonrowDesDiv.appendChild(cardNormalContentuttonrowTitleDiv);
    
    	var arrowImg = document.createElement('img');
    	arrowImg.classList.add('mui-icon-arrowdown');
    	arrowImg.setAttribute('src', '../images/cardbox/arrow-down-gray.png');
    	arrowImg.addEventListener('tap', showTheDescription);
    	cardNormalContentuttonrowDesDiv.appendChild(arrowImg);
    
    
    
    	var cardNormalContetDescrowDiv = document.createElement('div');
    	cardNormalContetDescrowDiv.classList.add('card-normal-contet-descrow', 'hide');
    	contentDivEle.appendChild(cardNormalContetDescrowDiv);
    
    	var div1 = document.createElement('div');
    	div1.innerHTML = cardItem.description;
    	cardNormalContetDescrowDiv.appendChild(div1);
    
    	var div2 = document.createElement('div');
    	div2.innerHTML = '发放时间:' + cardItem.releaseTime;
    	cardNormalContetDescrowDiv.appendChild(div2);
    
    	var div3 = document.createElement('div');
    	div3.innerHTML = '发放周期:' + cardItem.releasePeriod;
    	cardNormalContetDescrowDiv.appendChild(div3);
    
    	var div4 = document.createElement('div');
    	div4.innerHTML = '有效周期:' + cardItem.startTime + '-' + cardItem.endTime;
    	cardNormalContetDescrowDiv.appendChild(div4);
    
    	return contentDivEle;
    
    };
    
    function createVipDiv(cardItem) {
    
    	var contentDiv = document.createElement('div');
    	contentDiv.classList.add('content-div', 'content-div-vip');
    
    	var lineDiv = document.createElement('div');
    	lineDiv.classList.add('line-div');
    	contentDiv.appendChild(lineDiv);
    
    	var cardVipDiv = document.createElement('div');
    	cardVipDiv.classList.add('card-vip');
		if(section == 'card-expired'){
			cardVipDiv.classList.add('expired');
		}else if(section == 'card-used'){
			cardVipDiv.classList.add('used');
		}
    	contentDiv.appendChild(cardVipDiv);
    
    	var cardVipContentDiv = document.createElement('div');
    	cardVipContentDiv.classList.add('card-vip-content');
    	cardVipDiv.appendChild(cardVipContentDiv);
    
    	var cardVipContentLeftDiv = document.createElement('div');
    	cardVipContentLeftDiv.classList.add('card-vip-content-left');
    	cardVipContentDiv.appendChild(cardVipContentLeftDiv);
    
    	var cardVipContentLeftNameDiv = document.createElement('div');
    	cardVipContentLeftNameDiv.classList.add('card-vip-content-left-name');
    	cardVipContentLeftNameDiv.innerHTML = cardItem.type_name;
    	cardVipContentLeftDiv.appendChild(cardVipContentLeftNameDiv);
    
    	if (cardItem.loccd) {
    		var cardVipContentLeftStoreDiv = document.createElement('div');
    		cardVipContentLeftStoreDiv.classList.add('vip-store');
    		cardVipContentLeftStoreDiv.innerHTML = cardItem.loccd;
    		cardVipContentLeftDiv.appendChild(cardVipContentLeftStoreDiv);
    	}
    
    	var cardVipContentLeftTimeDiv = document.createElement('div');
    	cardVipContentLeftTimeDiv.classList.add('card-vip-content-left-time');
    	cardVipContentLeftTimeDiv.innerHTML = cardItem.startTime + '-' + cardItem.endTime;
    	cardVipContentLeftDiv.appendChild(cardVipContentLeftTimeDiv);
    
    	var cardVipContentRightDiv = document.createElement('div');
    	cardVipContentRightDiv.classList.add('card-vip-content-right');
    	cardVipContentDiv.appendChild(cardVipContentRightDiv);
    
    	var cardVipContentRightCountDiv = document.createElement('div');
    	cardVipContentRightCountDiv.classList.add('card-vip-content-right-count');
    	cardVipContentRightCountDiv.innerHTML = cardItem.count;
    	cardVipContentRightDiv.appendChild(cardVipContentRightCountDiv);
    
    	var cardVipContentRightCountDesDiv = document.createElement('div');
    	cardVipContentRightCountDesDiv.classList.add('card-vip-content-right-countdesp');
    	cardVipContentRightCountDesDiv.innerHTML = '已用次数';
    	cardVipContentRightDiv.appendChild(cardVipContentRightCountDesDiv);
    
    	var cardVipContentButtonRowDiv = document.createElement('div');
    	cardVipContentButtonRowDiv.classList.add('card-vip-contet-buttonrow');
    	cardVipDiv.appendChild(cardVipContentButtonRowDiv);
    
    	var cardVipContentButtonRowDescDiv = document.createElement('div');
    	cardVipContentButtonRowDescDiv.classList.add('card-vip-contet-buttonrow-desc');
    	cardVipContentButtonRowDiv.appendChild(cardVipContentButtonRowDescDiv);
    
    	var cardVipContentButtonRowTitleDiv = document.createElement('div');
    	cardVipContentButtonRowTitleDiv.classList.add('card-vip-contet-buttonrow-title');
    	cardVipContentButtonRowTitleDiv.innerHTML = '使用说明';
    	cardVipContentButtonRowDescDiv.appendChild(cardVipContentButtonRowTitleDiv);
    
    	var arrowImg = document.createElement('img');
    	arrowImg.classList.add('mui-icon-arrowdown');
    	arrowImg.setAttribute('src', '../images/cardbox/arrow-down-gray.png');
    	arrowImg.addEventListener('tap', showTheDescription);
    	cardVipContentButtonRowDescDiv.appendChild(arrowImg);
    
    	// 	
    	var cardVipContetDescrRwDiv = document.createElement('div');
    	cardVipContetDescrRwDiv.classList.add('card-vip-contet-descrow', 'hide');
    	contentDiv.appendChild(cardVipContetDescrRwDiv);
    
    	var div1 = document.createElement('div');
    	div1.innerHTML = cardItem.description;
    	cardVipContetDescrRwDiv.appendChild(div1);
    
    	var div2 = document.createElement('div');
    	div2.innerHTML = '发放时间:' + cardItem.releaseTime;
    	cardVipContetDescrRwDiv.appendChild(div2);
    
    	var div3 = document.createElement('div');
    	div3.innerHTML = '发放周期:' + cardItem.releasePeriod;
    	cardVipContetDescrRwDiv.appendChild(div3);
    
    	var div4 = document.createElement('div');
    	div4.innerHTML = '激活时间:' + cardItem.activateTime;
    	cardVipContetDescrRwDiv.appendChild(div4);
    
    	var div5 = document.createElement('div');
    	div4.innerHTML = '有效周期:' + cardItem.startTime + '-' + cardItem.endTime;
    	cardVipContetDescrRwDiv.appendChild(div5);
    
    	return contentDiv;
    }
    
    function showTheDescription() {
    
    	var liEle = $(this).parents('.content-div');
    
    	if (liEle[0].classList.contains('content-div-normal')) {
    
    		var desEle = liEle.find('.card-normal-contet-descrow')[0];
    		if (desEle.classList.contains('hide')) {
    			desEle.classList.remove('hide');
    			$(this).removeClass('mui-icon-arrowdown');
    			$(this).addClass('mui-icon-arrowup');
    			$(this)[0].setAttribute('src', '../images/cardbox/arrow-up-gray.png');
    		} else {
    
    			desEle.classList.add('hide');
    			$(this).removeClass('mui-icon-arrowup');
    			$(this).addClass('mui-icon-arrowdown');
    			$(this)[0].setAttribute('src', '../images/cardbox/arrow-down-gray.png');
    
    		}
    
    	} else {
    
    		var desEle = liEle.find('.card-vip-contet-descrow')[0];
    		debug(desEle.classList);
    		if (desEle.classList.contains('hide')) {
    
    			desEle.classList.remove('hide');
    			$(this).removeClass('mui-icon-arrowdown');
    			$(this).addClass('mui-icon-arrowup');
    			$(this)[0].setAttribute('src', '../images/cardbox/arrow-up-gray.png');
    
    		} else {
    
    			desEle.classList.add('hide');
    			$(this).removeClass('mui-icon-arrowup');
    			$(this).addClass('mui-icon-arrowdown');
    			$(this)[0].setAttribute('src', '../images/cardbox/arrow-down-gray.png');
    
    		}
    
    	}
    }
    var choseTheSection = function(sectionid) {
    
    	mui('.page-content').scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
    	if (sectionid == 'card-used') {
    		requestTheCardListWithType(sectionid);
    		debug('show card-used');
    		$('ul').find('li.card-used').removeClass('hide');
    		$('ul').find('li.card-expired').addClass('hide');
    	} else if (sectionid == 'card-expired') {
    		requestTheCardListWithType(sectionid);
    		debug('show card-expired');
    		$('ul').find('li.card-expired').removeClass('hide');
    		$('ul').find('li.card-used').addClass('hide');
    	}
    }
    
    var self = plus.webview.currentWebview();
    section = self.section;
    if (section) {
    	debug(section);
    	if (section == 'card-expired') {
    		choseTheSection('card-expired');
    		$('.control-item-card-used').removeClass('mui-active');
    		$('.control-item-card-expired').addClass('mui-active');
    	} else {
    		choseTheSection('card-used');
    		$('.control-item-card-used').addClass('mui-active');
    		$('.control-item-card-expired').removeClass('mui-active');
    	}
    }
    
    mui('.mui-table-view-cell').on('tap', '.mui-icon-arrowdown', function() {
    	var liEle = $(this).parents('li');
    	debug(liEle[0].classList);
    	if (liEle[0].classList.contains('card-normal')) {
    		var desEle = liEle.find('.card-normal-contet-descrow')[0];
    		if (desEle.classList.contains('hide')) {
    			desEle.classList.remove('hide');
    			$(this).removeClass('mui-icon-arrowdown');
    			$(this).addClass('mui-icon-arrowup');
    			$(this)[0].setAttribute('src', '../images/cardbox/arrow-up-gray.png');
    		}
    	} else {
    		var desEle = liEle.find('.card-vip-contet-descrow')[0];
    		debug(desEle.classList);
    		if (desEle.classList.contains('hide')) {
    			desEle.classList.remove('hide');
    			$(this).removeClass('mui-icon-arrowdown');
    			$(this).addClass('mui-icon-arrowup');
    			$(this)[0].setAttribute('src', '../images/cardbox/arrow-up-gray.png');
    		}
    	}
    
    })
    
    mui('.mui-table-view-cell').on('tap', '.mui-icon-arrowup', function() {
    	var liEle = $(this).parents('li');
    	debug(liEle);
    
    
    	if (liEle[0].classList.contains('card-normal')) {
    		var desEle = liEle.find('.card-normal-contet-descrow')[0];
    		debug(desEle.classList);
    		if (!desEle.classList.contains('hide')) {
    
    			desEle.classList.add('hide');
    			$(this).removeClass('mui-icon-arrowup');
    			$(this).addClass('mui-icon-arrowdown');
    			$(this)[0].setAttribute('src', '../images/cardbox/arrow-down-gray.png');
    		}
    	} else {
    		var desEle = liEle.find('.card-vip-contet-descrow')[0];
    		debug(desEle.classList);
    		if (!desEle.classList.contains('hide')) {
    
    			desEle.classList.add('hide');
    			$(this).removeClass('mui-icon-arrowup');
    			$(this).addClass('mui-icon-arrowdown');
    			$(this)[0].setAttribute('src', '../images/cardbox/arrow-down-gray.png');
    		}
    	}
    
    })
    
    mui('.mui-segmented-control').on('tap', '.mui-control-item', function() {
    	section = this.getAttribute("id");
    	choseTheSection(section);
    	debug(section, 'click');
    });
    
})
