var customerlist;
var selectedcustomer;
var selectedId;

function requestTheList() {
	debug('here')
	var method = 'customerList';
	var param = {
		"cust_type": "2"
	};
	$('.list')[0].innerHTML = '';
	youpinRequest(method, param, function(res) {
		// mui.toast('请求成功');
		customerlist = res;
		createCustomerList(res);
		debug(res);
	}, function(fail) {
		mui.toast(fail);
	}, function(timeout) {
		mui.toast(timeout);
	});
}

function searchOninput(){
	$('#searchInput')[0].value = $('#searchInput')[0].value.replace(/\D/g,'');
	var text = $('#searchInput')[0].value;
	debug(text);
	if(text.length ==11 ){
		mui('.mui-scroll-wrapper').scroll().scrollTo(0,0,100);
		$('.list')[0].innerHTML = '';
		searchTheCustomer(text);
	}
	if(text.length == 0){
		mui('.mui-scroll-wrapper').scroll().scrollTo(0,0,100);
		$('.list')[0].innerHTML = '';
		requestTheList();
	}
}

function createCustomerList(list) {
	
	mui('.mui-scroll-wrapper').scroll().scrollTo(0,0,100);
	$('.list')[0].innerHTML = '';

	for (var i = 0; i < list.length; i++) {

		var customer = list[i];

		var itemDiv = document.createElement('div');
		itemDiv.classList.add('item');
		$('.list')[0].appendChild(itemDiv);

		var imgEle = document.createElement('img');
		imgEle.setAttribute('src', customer.head_img);
		itemDiv.appendChild(imgEle);

		var contentDiv = document.createElement('div');
		contentDiv.classList.add('item-content');
		itemDiv.appendChild(contentDiv);

		// var levelDiv = document.createElement('div');
		// levelDiv.classList.add('level');
		// if (customer.level) {
		// 	levelDiv.innerHTML = 'V' + customer.level;
		// 	contentDiv.appendChild(levelDiv);
		// }
		
		if(customer.self == '1'){
			var selfSpan = document.createElement('span');
			selfSpan.id = 'self';
			selfSpan.innerHTML = '本人';
			contentDiv.appendChild(selfSpan);
		}

		var nameSpan = document.createElement('span');
		nameSpan.id = 'name';
		nameSpan.setAttribute('id', 'name');
		nameSpan.innerHTML = customer.name;
		contentDiv.appendChild(nameSpan);

		var sexSpan = document.createElement('span');
		sexSpan.id = 'sex';
		sexSpan.setAttribute('id', 'sex');
		sexSpan.innerHTML = customer.sex_name;
		contentDiv.appendChild(sexSpan);

		var phoneSpan = document.createElement('span');
		phoneSpan.id = 'phone';
		phoneSpan.setAttribute('id', 'phone');
		phoneSpan.innerHTML = customer.cust_tel;
		contentDiv.appendChild(phoneSpan);

		var iconSpan = document.createElement('span');
		iconSpan.classList.add('mui-icon', 'mui-icon-checkmarkempty', 'hide');
		if (selectedId) {
			if (selectedId == customer.id) {
				iconSpan.classList.remove('hide');
			}
		} else if (i == 0) {
			iconSpan.classList.remove('hide');
			selectedId = 0;
			selectedcustomer = customerlist[0];
		}
		contentDiv.appendChild(iconSpan);

		// var cardDiv = document.createElement('div');
		// cardDiv.classList.add('card-num');
		// cardDiv.innerHTML = customer.cust_mcode;
		// contentDiv.appendChild(cardDiv);

	}
}

function searchTheCustomer(phone){
	var method = 'userInfo';
	var param = {'phone':phone};
	youpinRequest(method,param,function(res){
		// mui.toast('请求成功');
		debug(res,'search');
		if(res.user_card){
			var customer = {};
			customer.head_img = res.headImg;
			customer.level = res.level;
			customer.name = res.user_name;
			customer.sex_name = res.sex_name;
			customer.cust_tel = res.user_mtel;
			customer.id = res.user_id;
			customer.cust_mcode = res.user_card;
			customer.self = '0';
			
			customerlist = [customer];
			debug(customerlist,'list');
			createCustomerList(customerlist);
		}else{
			mui.toast('暂未查到符合条件的顾客');
			return;
		}
		
	},function(fail){
		mui.toast(fail);
	},function(timeout){
		mui.toast(timeout);
	});
}

mui.plusReady(function() {
	
	var self = plus.webview.currentWebview();
	if (self.selectedId) {
		selectedId = self.selectedId;
	}
	
	requestTheList();
	
	mui('.mui-content').on('tap', '.item', function() {
	
		var list = $('.list').find('.mui-icon-checkmarkempty');
		for (var i = 0; i < list.length; i++) {
			var item = list[i];
			if (!item.classList.contains('hide')) {
				item.classList.add('hide');
			}
		}
		$(this).find('.mui-icon-checkmarkempty')[0].classList.remove('hide');
	
		var itemArray = $('.list').find('.item');
		for (var j = 0; j < itemArray.length; j++) {
			var ele = itemArray[j];
			if (ele == this) {
				selectedcustomer = customerlist[j];
				debug(selectedcustomer, j);
			}
		}
	
		var orderView = plus.webview.getWebviewById('service-make-order');
		if (orderView) {
			mui.fire(orderView, 'refreshTheCustomer', selectedcustomer);
			mui.back();
		}
	
	});
	
	mui('.mui-scroll-wrapper').scroll({
		indicators: false
	});
	
	mui('.mui-content').on('tap', '.btn-add', function() {
		clicked('customer-add.html', 'customer-add');
		// debug('click');
	});
	
	document.addEventListener('refreshList', function() {
		requestTheList();
	});
	
	mui('.mui-content').on('tap','#searchBtn',function(){
		debug('search customer');
		var phone = $('#searchInput')[0].value;
		debug(phone,'phone');
		if(phone.length == 11){
			searchTheCustomer(phone);
		}else{
			mui.toast('请输入正确的手机号码');
			return;
		}
	});
	
	mui('.mui-content').on('tap','.mui-icon-clear',function(){
		mui('.mui-scroll-wrapper').scroll().scrollTo(0,0,100);
		$('.list')[0].innerHTML = '';
		requestTheList();
	});
})
