
    var type;
    // 有两种：
    // 	1、makeorder，预约单确认页面；
    // 	2、detail，服务项目详情页面。
    
    var dateArray;
    var selectedDate;
    var periodArray;
    var selecedPeriod;
    var adviserArray;
    var selectedAdviser;
	var storeMes;
    var service_id;

    
    function setTodayString() {
    	var date = new Date();
    	var year = date.getFullYear();
    	var month = date.getMonth() + 1;
    	var day = date.getDate();
    	var weekDay = date.getDay();
    	var weekday = ["日", "一", "二", "三", "四", "五", "六"];
    	weekDay = weekday[weekDay];
    	var dateString = year + '年' + month + '月' + day + '日 ' + weekDay + ' (今天)';
    	// document.getElementById('today-date').innerHTML = dateString;
    	
    	dateArray = [];
    	for (var i = 0; i < 7; i++) {
    
    		var dateItem = new Date();
    		dateItem = dateItem.setDate(dateItem.getDate() + i);
    		dateItem = new Date(dateItem);
    		var newyear = dateItem.getFullYear();
    		var newmonth = dateItem.getMonth() + 1;
			var week = dateItem.getDay();
			var weekItem = weekday[week];
			debug(weekItem);
    		if(newmonth<10){
    			newmonth='0'+newmonth;
    		}
    		var newday = dateItem.getDate();
    		if(newday<10){
    			newday='0'+newday;
    		}
    		var dayString = newmonth + '/' + newday;
			debug(dayString);
    		var fullDayString = newyear + '-' + newmonth + '-' + newday;
    		dateArray.push(fullDayString);
    		
    		var controlItem = document.createElement('a');
    		controlItem.classList.add('mui-control-item','date-item');
			if(selectedDate){
				if(selectedDate == fullDayString){
					controlItem.classList.add('mui-active');
					requestThetimesWithDate(selectedDate);
				}
			}else if(i==0){
    			controlItem.classList.add('mui-active');
    			selectedDate = fullDayString;
    			requestThetimesWithDate(selectedDate);
    		}
    		// controlItem.innerHTML = dayString;
			
			var weekDiv = document.createElement('div')
			weekDiv.innerHTML = weekItem;
			if(i == 0){
				weekDiv.innerHTML = '今日';
			}
			controlItem.appendChild(weekDiv);
			
			var dayDiv = document.createElement('div');
			dayDiv.innerHTML = dayString;
			controlItem.appendChild(dayDiv);
			
			
    		controlItem.setAttribute('value',fullDayString);
    		$('.mui-scroll')[0].appendChild(controlItem);
    		
    		
    	}
    
    }
    
    function requestThetimesWithDate(date){
    	var method = 'times';
    	var param = {
    		'loccd':storeMes.mloc_loccd,
    		'appoint_time':date,
			'service_id':service_id
    	}
    	youpinRequest(method,param,function(res){
    		debug(res);
    		// mui.toast('请求成功');
    		periodArray = res;
    		createTheTimes(res);
    	},
    	function(fail){
    		mui.toast(fail);
    	},
    	function(timeout){
    		mui.toast(timeout);
    	});
    	
    };
    
    function createTheTimes(times){
    	$('.time')[0].innerHTML = '';
    	for( var i = 0; i< times.length ; i++){
    		var time = times[i];
    		// debug(time);
    		var divEle = document.createElement('div');
    		divEle.classList.add('period');
    		divEle.innerHTML = time.mcod_codsn;
    		divEle.id = time.mcod_codsn;
			
			var imgEle = document.createElement('img');
			imgEle.setAttribute('src','../images/youpin/icon-check.png');
			imgEle.classList.add('check');
			imgEle.hidden = true;
			divEle.appendChild(imgEle);
			
			if(selecedPeriod && time.mcod_codsn == selecedPeriod.mcod_codsn){
				divEle.classList.add('active');
				imgEle.hidden = false;
			}
			if(time.c2 <= time.c1){
				divEle.classList.add('disavilebel');
				var fullEle = document.createElement('div');
				fullEle.id = 'full';
				fullEle.innerHTML = '已满';
				divEle.appendChild(fullEle);
				
			}
			$('.time')[0].appendChild(divEle);
		}
		requestAdvisersWithTime(selectedDate,selecedPeriod.mcod_codsn);
    }
    
    
    
    function requestAdvisersWithTime(dateString,time){
    	var method = 'adviserList';
    	var param = {"loccd":storeMes.mloc_loccd,"appoint_time":dateString,"timeslice":time,'service_id':service_id}
    	youpinRequest(method,param,function(res){
    		debug(res);
    		adviserArray = res;
			if(adviserArray.length){
				createAdvisers(res);
			}else{
				mui.toast('该时段暂无顾问可选');
			}
    	},
    	function(fail){
    		mui.toast(fail);
    	},
    	function(timeout){
    		mui.toast(timeout);
    	});
    }
    
    function createAdvisers(advisers){
    	
    	$('.adviser-list')[0].innerHTML = '';
    	
    	// $('#count')[0].innerHTML = advisers.length;
    	
    	var divEle = document.createElement('div');
    	divEle.classList.add('adviser-item');
    	// divEle.id = 'adviser-item';
		// if(selectedAdviser && selectedAdviser.consultant_name == '门店指派'){
		// 	divEle.classList.add('mui-active');
		// }
    	
    	var avatorEle = document.createElement('img');
		avatorEle.classList.add('head-img');
		var imgUrl = imageBaseUrl + '/images/verifyCode/abfbb8c4-5767-442d-b874-c012a98e99a7.png';
    	avatorEle.setAttribute('src',imgUrl);
    	divEle.appendChild(avatorEle);
    	
    	var contentDiv = document.createElement('div');
    	contentDiv.classList.add('adviser-content');
    	divEle.appendChild(contentDiv);
    	
    	var spanEle = document.createElement('span');
    	spanEle.id = 'adviser-name';
    	spanEle.innerHTML = '门店指派';
    	contentDiv.appendChild(spanEle);
    	
		var btnDiv = document.createElement('div');
		btnDiv.id = 'order-btn';
		btnDiv.innerHTML = '预约';
		// btnDiv.classList.add('chosed');
		if(selectedAdviser && selectedAdviser.consultant_name == '门店指派'){
			btnDiv.innerHTML = '已预约';
			btnDiv.classList.add('chosed');
		}
		contentDiv.appendChild(btnDiv);
		
    	var countSpan = document.createElement('span');
    	countSpan.id = 'adviser-des';
    	countSpan.innerHTML = '指派顾问';
    	contentDiv.appendChild(countSpan);
    	
    	$('.adviser-list')[0].appendChild(divEle);
		
		for (var j = 0; j< advisers.length ;j++){
			var item = advisers[j];
			var cardNum = item.consultant_mcode;
			if(selectedAdviser && cardNum == selectedAdviser.consultant_mcode){
				advisers.splice(j,1);
				advisers.unshift(item);
			}
			
		}
    	
    	for (var i = 0; i< advisers.length ;i++){
    		
    		var adviser = advisers[i];
    		var name = adviser.consultant_name;
    		var sex = adviser.sexValue;
    		var cardNum = adviser.consultant_mcode;
    		var avatorImg = adviser.head_img;
    		var serviceCount = adviser.service_time_count;
    		
    		var divEle = document.createElement('div');
    		divEle.classList.add('adviser-item');
    		// divEle.id = 'adviser-item';
			divEle.setAttribute('cardNum',cardNum);
			// if(selectedAdviser && cardNum == selectedAdviser.consultant_mcode){
			// 	divEle.classList.add('mui-active');
			// }
    		
    		var avatorEle = document.createElement('img');
			avatorEle.classList.add('head-img');
    		avatorEle.setAttribute('src',avatorImg);
    		divEle.appendChild(avatorEle);
    		
    		var contentDiv = document.createElement('div');
    		contentDiv.classList.add('adviser-content');
    		divEle.appendChild(contentDiv);
    		
    		var spanEle = document.createElement('span');
    		spanEle.id = 'adviser-name';
    		spanEle.innerHTML = name;
    		contentDiv.appendChild(spanEle);
    		
    		var countSpan = document.createElement('span');
    		countSpan.id = 'sex-name';
			if(sex){
				countSpan.innerHTML = '性别:'+sex;
			}
    		contentDiv.appendChild(countSpan);
			
			var adviserBtnDiv = document.createElement('div');
			adviserBtnDiv.id = 'order-btn';
			adviserBtnDiv.innerHTML = '预约';
			if(selectedAdviser && cardNum == selectedAdviser.consultant_mcode){
				adviserBtnDiv.innerHTML = '已预约';
				adviserBtnDiv.classList.add('chosed');
			}
			contentDiv.appendChild(adviserBtnDiv);
			
			// var desSpan = document.createElement('span');
			// desSpan.id = 'adviser-des';
			// desSpan.innerHTML = '暂无信息暂无信息暂无信息暂无信息暂无信息暂无信息暂无信息暂无信息暂无信息暂无信息暂无信息暂无信息';
			// contentDiv.appendChild(desSpan);
			
			// var arrowImg = document.createElement('img');
			// arrowImg.classList.add('arrow-down');
			// arrowImg.id = 'arrow-down';
			// arrowImg.setAttribute('src','../images/youpin/arrow-down.png');
			// contentDiv.appendChild(arrowImg);
			
			var auths = adviser.authentications;
			if(auths.length){
				
				var authDiv = document.createElement('div');
				authDiv.classList.add('auth');
				
				for (var x = 0; x < auths.length; x++) {
					var auth = auths[x];
					if(auth.length){
						var authSpan = document.createElement('span');
						authSpan.id = 'auth';
						authSpan.innerHTML = auth;
						authDiv.appendChild(authSpan);
					}
				}
				
				contentDiv.appendChild(authDiv);
			}
    		
    		$('.adviser-list')[0].appendChild(divEle);
    		
    	}
    }
    // 选日期
    mui('.mui-content').on('tap','.date-item',function(){
    	debug(this.getAttribute('value'));
    	var date = this.getAttribute('value');
    	selectedDate = date;
    	requestThetimesWithDate(date);
    	
    	$('.adviser-list')[0].innerHTML = '';
    	$('.time')[0].innerHTML = '';
    	// $('#count')[0].innerHTML = 0;
    	selecedPeriod = null;
    	selectedAdviser = null;
    });
    // 选时段
    mui('.mui-content').on('tap', '.period', function() {
			
    	debug(this.classList);
		if(this.classList.contains('disavilebel')){
			return;
		}
    	var periodItemArray = $('.time').find('.period');
    	for (var i = 0; i < periodItemArray.length; i++) {
    		var period = periodItemArray[i];
    		if (period.classList.contains('active')) {
    			period.classList.remove('active');
				var checkImg = period.firstElementChild;
				checkImg.hidden = true;
    		}if(period == this){
    			selecedPeriod = periodArray[i];
    			period.classList.add('active');
				var checkImg = period.firstElementChild;
				checkImg.hidden = false;
				debug(checkImg,'checkImg');
    		}
    	}
    	var periodString = this.innerText;
    	var mcod_code = this.id;
    	debug(mcod_code,'id');
    	debug(periodString,'period');
    	debug(selectedDate,'selectedDate');
    	requestAdvisersWithTime(selectedDate,mcod_code);
    	$('.adviser-list')[0].innerHTML = '';
    	selectedAdviser = null;
    	
    });
    // 选顾问
    mui('.mui-content').on('tap', '.adviser-item', function() {
    	var adviserItemArray = $('.adviser-list').find('.adviser-item');
    	for(var i = 0; i< adviserItemArray.length ; i++){
    		var adviserItem = adviserItemArray[i];
			var btnDiv = $(adviserItem).find('#order-btn')[0];
			debug(btnDiv);
			btnDiv.innerHTML = '预约';
			if(btnDiv.classList.contains('chosed')){
				btnDiv.classList.remove('chosed');
			}
    		if(adviserItem == this && i!=0){
    			selectedAdviser = adviserArray[i-1];
    			debug(selectedAdviser,'selectedAdviser');
				var selectedBtn = $(adviserItem).find('#order-btn')[0];
				selectedBtn.innerHTML = '已预约';
				selectedBtn.classList.add('chosed');
    		}else if(adviserItem == this && i==0){
				selectedAdviser = {};
				var imgUrl = imageBaseUrl + '/images/verifyCode/abfbb8c4-5767-442d-b874-c012a98e99a7.png';
				selectedAdviser.head_img = imgUrl;
				selectedAdviser.consultant_name = '门店指派';
				selectedAdviser.consultant_mcode = '';
				var selectedBtn = $(adviserItem).find('#order-btn')[0];
				selectedBtn.innerHTML = '已预约';
				selectedBtn.classList.add('chosed');
			}
    	}
    });

    

mui.plusReady(function () {
	
	var self = plus.webview.currentWebview();
	if (self.type) {
		type = self.type;
		debug(type);
	}
	
	if(self.storeMes){
		storeMes = self.storeMes;
	}
	// date
	// period
	// adviser
	
	// selectedDate
	// selecedPeriod
	// selectedAdviser
	if(self.date){
		selectedDate = self.date;
	}
	if(self.period){
		selecedPeriod = self.period;
	}
	if(self.adviser){
		selectedAdviser = self.adviser;
	}
	
	if(self.service_id){
		service_id = self.service_id;
	}
	
	setTodayString();
	
	document.getElementById('confirm').addEventListener('tap', function() {
		// debug(periodString, 'period');
		
		if(!selectedDate){
			mui.toast('请选日期');
			return;
		}else if(!selecedPeriod){
			mui.toast('请选时段');
			return;
		}else if(!selectedAdviser){
			mui.toast('请选顾问');
			return;
		}
		
		
		var param = {
			'adviser':selectedAdviser,
			'date': selectedDate,
			'period': selecedPeriod
		};
		debug(param,'param');
		
		if (type && type == 'makeorder') {
			var orderView = plus.webview.getWebviewById('service-make-order');
			if (orderView) {
				mui.fire(orderView, 'refreshTheTimeAndAdviser', param);
				mui.back();
			}
		}
	
		if (type && type == 'detail') {
			debug(type,'type');
			var detailView = plus.webview.getWebviewById('service-detail');
			if (detailView) {
				mui.fire(detailView, 'refreshTheTimeAndAdviser', param);
				mui.back();
			}
		}
	
	
	
	});
	
})
