mui.plusReady(function () {
	
    var selectIndex=0;
    var rechooseIndex=0;
    var serviceDetail;
    var timeAdviserParam;
    var storeMes;
	var skuID=null;
    
    
    function requestTheDetailWithID(serviceID){
    	var method = 'serviceDetail' + serviceID + '/' + storeMes.mloc_loccd;
    	youpinRequest(method,{},function(res){
    		debug(res);
    		// mui.toast('请求成功');
    		serviceDetail = res;
    		showTheDetail(res);
    	},function(fail){
    		mui.toast(fail);
    	},function(timeout){
    		mui.toast(timeout);
    	});
    }
    
    var self = plus.webview.currentWebview();
	if(self.storeMes){
		storeMes = self.storeMes;
		// $('#store')[0].innerHTML = storeMes.mloc_locnm;
		// $('#tel')[0].innerHTML = storeMes.mloc_telno;
	}
	if(self.skuID){
		skuID = self.skuID;
	}
    var serviceID = self.serviceID;
    debug(serviceID,'serviceID');
	// debug(skuID,'skuID');
    
    requestTheDetailWithID(serviceID);
    
    function showTheDetail(serviceDetail){
    	var skuArray = serviceDetail.skus;
    	// 设置规格数组
    	for(var i = 0; i< skuArray.length ; i++){
    		var sku = skuArray[i];
    		var specsItemEle = document.createElement('span');
    		specsItemEle.classList.add('specs-item');
    		if(skuID && skuID == sku.id){
    			specsItemEle.classList.add('active');
				var skuItem = skuArray[i];
				selectIndex = i;
			}else if(i == 0){
				specsItemEle.classList.add('active');
				var skuItem = skuArray[i];
				selectIndex = i;
			}
    		specsItemEle.innerHTML = sku.name + '（' + sku.duration + '分钟）';
    		specsItemEle.setAttribute('price',sku.price);
    		specsItemEle.setAttribute('duration',sku.duration);
    		specsItemEle.id = sku.id;
    		$('.specs-div-items')[0].appendChild(specsItemEle);
    	}
    	
    	
    	$('.service-title-name')[0].innerHTML = serviceDetail.service_name;
    	$('.specs-div-title')[0].innerHTML = skuItem.name;
    	
		if(skuItem.price > skuItem.shop_price){
			$('#title-price')[0].innerHTML = skuItem.price + '元/次';
			$('#price')[0].innerHTML = skuItem.price;
		}else{
			$('#title-price')[0].innerHTML = '';
			$('#price')[0].innerHTML = '';
		}
		$('#title-shop_price')[0].innerHTML = skuItem.shop_price;
    	$('#shop_price')[0].innerHTML = skuItem.shop_price;
    	$('#duration')[0].innerHTML = skuItem.duration+'分钟';
    	$('#specs')[0].innerHTML = skuItem.name + '（' + skuItem.duration + '分钟）';
    	
    	$('.specs-img')[0].setAttribute('src',serviceDetail.image);
    	// 设置详情
    	$('.service-content')[0].innerHTML = serviceDetail.detail;
    	$('.service-content').find('img')[0].style.height = '100%';
    	// 设置轮播图
    	var photoArray = serviceDetail.photos;
    	for( var i =0; i< photoArray.length ; i++){
    		
    		var photo = photoArray[i];
    		
    		if(i==0){
    			
    			var lastphoto = photoArray[photoArray.length-1];
    			var lastdivEle =  document.createElement('div');
    			lastdivEle.classList.add('mui-slider-item','mui-slider-item-duplicate');
    			
    			 var lastaEle = document.createElement('a');
    			 lastaEle.setAttribute('href','#');
    			 lastdivEle.appendChild(lastaEle);
    			 
    			 var lastimgEle = document.createElement('img');
    			 lastimgEle.setAttribute('src',lastphoto);
    			 lastaEle.appendChild(lastimgEle);
    			 
    			 $('.mui-slider-group')[0].appendChild(lastdivEle);
    			 
    		}
    		
    		var divEle =  document.createElement('div');
    		divEle.classList.add('mui-slider-item');
    		
    		 var aEle = document.createElement('a');
    		 aEle.setAttribute('href','#');
    		 divEle.appendChild(aEle);
    		 
    		 var imgEle = document.createElement('img');
    		 imgEle.setAttribute('src',photo);
    		 aEle.appendChild(imgEle);
    		 
    		 $('.mui-slider-group')[0].appendChild(divEle);
    		 
    		 var indicatorEle = document.createElement('div');
    		 indicatorEle.classList.add('mui-indicator');
    		 if(i==0){
    			indicatorEle.classList.add('mui-active');
    		 }
    		 $('.mui-slider-indicator')[0].appendChild(indicatorEle);
    		 
    		 
    		 if(i==photoArray.length-1){
    		 	
    		 	var firstPhoto = photoArray[0];
    		 	var firstdivEle =  document.createElement('div');
    		 	firstdivEle.classList.add('mui-slider-item','mui-slider-item-duplicate');
    		 	
    		 	 var firstaEle = document.createElement('a');
    		 	 firstaEle.setAttribute('href','#');
    		 	 firstdivEle.appendChild(firstaEle);
    		 	 
    		 	 var firstimgEle = document.createElement('img');
    		 	 firstimgEle.setAttribute('src',firstPhoto);
    		 	 firstaEle.appendChild(firstimgEle);
    		 	 
    		 	 $('.mui-slider-group')[0].appendChild(firstdivEle);
    		 	 
    		 }
    		
    	}
    	
    	var slider = mui("#slider");
    	slider.slider({interval: 3000});
    	
    }
    
    function refreshTheSku(index){
    	var skuItem = serviceDetail.skus[index];
    	// 设置标题、默认选中规格、规格选择器title
    	// $('.service-title-name')[0].innerHTML = skuItem.name;
    	$('.specs-div-title')[0].innerHTML = skuItem.name;
    	// $('#title-price')[0].innerHTML = skuItem.price;
		if(skuItem.price > skuItem.shop_price){
			$('#price')[0].innerHTML = skuItem.price + '元/次';
		}else{
			$('#price')[0].innerHTML = '';
		}
    	
		$('#shop_price')[0].innerHTML = skuItem.shop_price;
    	// $('#duration')[0].innerHTML = skuItem.duration;
    	// $('#specs')[0].innerHTML = skuItem.name + '（' + skuItem.duration + '分钟）';
    }
    
    document.addEventListener('refreshTheTimeAndAdviser', function(param) {
    	
    	timeAdviserParam = param;
    	
    	var date = param.detail.date;
    	var period = param.detail.period;
    	var adviser = param.detail.adviser;
    	
    	document.getElementById('time').innerText = date + ' ' + period.mcod_codsn;
    	document.getElementById('avatar').setAttribute('src',adviser.head_img);
    	document.getElementById('name').innerText = adviser.consultant_name;
    	document.getElementById('sex').innerText = '';
    });
    
    mui('.specs-div-items').on('tap', '.specs-item', function() {
    	var itemsArray = $('.specs-div-items').find('.specs-item');
    	for (var i = 0; i < itemsArray.length; i++) {
    		var item = itemsArray[i];
    		if (item.classList.contains('active')) {
    			item.classList.remove('active');
    		}
    		if(item == this){
    			item.classList.add('active');
    			rechooseIndex = i;
    			refreshTheSku(rechooseIndex);
    		}
    	}
    });
    
    mui('.button-div').on('tap', 'button', function() {
    	debug('choose');
    	selectIndex = rechooseIndex;
    	var selectSku = serviceDetail.skus[rechooseIndex];
    	
    	// $('.service-title-name')[0].innerHTML = selectSku.name;
		if(selectSku.price > selectSku.shop_price){
			$('#title-price')[0].innerHTML = selectSku.price + '元/次';
		}else{
			$('#title-price')[0].innerHTML = '';
		}
    	
		$('#title-shop_price')[0].innerHTML = selectSku.shop_price;
    	$('#duration')[0].innerHTML = selectSku.duration+'分钟';
    	$('#specs')[0].innerHTML = selectSku.name + '（' + selectSku.duration + '分钟）';
    	var specsDiv = $('.specs-div')[0];
    	if (!specsDiv.classList.contains('hide')) {
    		specsDiv.classList.add('hide');
    		mask.close();
    	}
    	
    });
    
    function closeTheMask() {
    	var specsDiv = $('.specs-div')[0];
    	if (!specsDiv.classList.contains('hide')) {
    		specsDiv.classList.add('hide');
    		mask.close();
    		rechooseIndex = selectIndex;
    	}
    };
    
    var mask = mui.createMask(closeTheMask);
    
    mui('.mui-content').on('tap', '#closeTheSpeces', function() {
    	rechooseIndex = selectIndex;
    	var specsDiv = $('.specs-div')[0];
    	if (!specsDiv.classList.contains('hide')) {
    		specsDiv.classList.add('hide');
    		mask.close();
    	}
    })
    
    // 切换规格
    mui('.mui-content').on('tap', '.service-specs', function() {
    	refreshTheSku(selectIndex);
    	var sepcItemArray = $('.specs-div-items').find('.specs-item');
    	for (var i = 0; i < sepcItemArray.length; i++) {
    		var item = sepcItemArray[i];
    		if (item.classList.contains('active')) {
    			item.classList.remove('active');
    		}
    		if(i == selectIndex){
    			item.classList.add('active');
    		}
    	}
    	var specsDiv = $('.specs-div')[0];
    	if (specsDiv.classList.contains('hide')) {
    		specsDiv.classList.remove('hide');
    		mask.show();
    	}
    })
    // 切换时间
    mui('.mui-content').on('tap', '.service-time', function() {
    	debug('.service-time');
		var param = {'type': 'detail',
					'storeMes':storeMes,
					'service_id':serviceDetail.service_id};
		if(timeAdviserParam && timeAdviserParam.detail.date && timeAdviserParam.detail.period && timeAdviserParam.detail.adviser ){
			// date
			// period
			// adviser
			param.date = timeAdviserParam.detail.date;
			param.period = timeAdviserParam.detail.period;
			param.adviser = timeAdviserParam.detail.adviser;
			
		}
		debug(param,'timeAdviserParam');
    	clicked('service-choose-time.html', 'service-choose-time', param);
    })
    
    
    mui('.mui-content').on('tap', '.service-server', function() {
    	debug('.service-server');
    	var param = {'type': 'detail',
    				'storeMes':storeMes,
					'service_id':serviceDetail.service_id};
    	if(timeAdviserParam && timeAdviserParam.detail.date && timeAdviserParam.detail.period && timeAdviserParam.detail.adviser ){
    		// date
    		// period
    		// adviser
    		param.date = timeAdviserParam.detail.date;
    		param.period = timeAdviserParam.detail.period;
    		param.adviser = timeAdviserParam.detail.adviser;
    		
    	}
    	debug(param,'timeAdviserParam');
    	clicked('service-choose-time.html', 'service-choose-time', param);
    })
    
    // document.getElementById('detail').addEventListener('tap', function() {
    // 	debug('detail');
    // })
    
    document.getElementById('order').addEventListener('tap', function() {
    	debug('order');
    	var self = plus.webview.currentWebview();
    	var param = {};
		if(self.userLat && self.userLng){
			param.userLat = self.userLat;
			param.userLng = self.userLng;
		}
		if(self.storeMes){
			param.storeMes = self.storeMes;
		}
    	
    	if( timeAdviserParam && timeAdviserParam.detail.date){
    		param.date = timeAdviserParam.detail.date;
    	}
    	if( timeAdviserParam && timeAdviserParam.detail.period){
    		param.period = timeAdviserParam.detail.period;
    	}
    	if( timeAdviserParam && timeAdviserParam.detail.adviser){
    		param.adviser = timeAdviserParam.detail.adviser;
    	}
    	
    	if(serviceDetail){
    		param.service = serviceDetail;
    		param.sku = serviceDetail.skus[selectIndex];
    		debug(param,'param');
    	}
    	
    	
    	
    
    	debug(param);
    	clicked('service-make-order.html', 'service-make-order', param);
    })
    
 //    mui('.mui-content').on('tap','.service-store',function(){
	// 	debug('call the store');
	// 	plus.device.dial(storeMes.mloc_telno, true);
	// });
	
	mui('.mui-content').on('tap','.service-rules',function(){
		clicked('serviceAfterSalesPolicy.html', 'serviceAfterSalesPolicy');
	});
    
})

