    var currentArray = [];
    var current_apparatus_id;
	var solutionid;
	var cateid;
	var storeMes;
	
	function showServiceList(serviceArray,apparatus_id){
		debug(serviceArray,apparatus_id);
		if(serviceArray && serviceArray.length){
			document.getElementById('empty').classList.add('hide');
			document.getElementById('emptyDes').classList.add('hide');
		}else{
			document.getElementById('empty').classList.remove('hide');
			document.getElementById('emptyDes').classList.remove('hide');
		}
		$('.serviceItem-List')[0].innerHTML = '';
		mui('.serviceList').scroll().scrollTo(0,0,100);
		
		if(apparatus_id){
			for (var i = 0 ; i < serviceArray.length ; i++){
				var serviceItem = serviceArray[i];
				if(serviceItem.apparatus_id == apparatus_id){
					var serviceDiv = createServiceItem(serviceItem);
					$('.serviceItem-List')[0].appendChild(serviceDiv);
				}
			}
		}else{
			for(var i = 0; i<serviceArray.length ; i++){
				var serviceItem = serviceArray[i];
				 var serviceDiv = createServiceItem(serviceItem);
				 $('.serviceItem-List')[0].appendChild(serviceDiv);
			}
		}
		
		
	};
	
	function subTypeItemClick(){
		debug('subType-item on click');
		var apparatus_id = $(this)[0].id;
		if(apparatus_id){
			debug(apparatus_id);
			var subArray = [];
			for (var i = 0 ; i < currentArray.length ; i++){
				var serviceItem = currentArray[i];
				if(serviceItem.apparatus_id == apparatus_id){
					subArray.push(serviceItem);
				}
			}
			showServiceList(subArray,apparatus_id);
			current_apparatus_id = apparatus_id;
		}else{
			current_apparatus_id = null;
			showServiceList(currentArray,null);
		}
		
	};
	
    function showTypeList(typeList){
    	var solutions = typeList.solution;
		debug(solutions);
    	showSolutions(solutions);
    	
    	var apparatus = typeList.apparatus;
		debug(apparatus);
    	showApparatus(apparatus);
    	
    };
    
    function showSolutions(solutions){
    	for (var i = 0; i<solutions.length; i++){
    		
    		var solutionItem = solutions[i];
    		
    		var solutionDiv = document.createElement('div');
    		solutionDiv.classList.add('mui-control-item','type-item');
			
			if(solutionid){
				
				if(solutionid == solutionItem.solution_id){
					debug('run solutionid');
					solutionDiv.classList.add('mui-active');
					requestServiceListWithSid(solutionItem.solution_id);
				}
				
			}else if(i==0){
				debug('run i == 0');
    			solutionDiv.classList.add('mui-active');
    			requestServiceListWithSid(solutionItem.solution_id);
    		}
    		solutionDiv.innerHTML = solutionItem.solution_name;
    		solutionDiv.setAttribute('value',solutionItem.solution_id);
    		
    		$('.mui-scroll-typeList')[0].appendChild(solutionDiv);
    		
			
			
    	}
    }
    
    function showApparatus(apparatus){
		
		var allEle = document.createElement('a');
		allEle.classList.add('mui-control-item','subType-item','mui-active');
		allEle.id = '';
		allEle.addEventListener('tap',subTypeItemClick);
		
		var allimgEle = document.createElement('img');
		allimgEle.classList.add('mui-control-item-img');
		allimgEle.setAttribute('src','../images/youpin/service/service-all.png');
		allEle.appendChild(allimgEle);
		
		var alldivEle = document.createElement('div');
		alldivEle.id = '';
		alldivEle.innerHTML = '全部';
		allEle.appendChild(alldivEle);
		
		$('.mui-scroll-subType')[0].appendChild(allEle);
    	
    	for(var i = 0; i<apparatus.length; i++){
    		var subTypeItem = apparatus[i];
    		var subTypeEle = document.createElement('a');
    		subTypeEle.classList.add('mui-control-item','subType-item');
    		subTypeEle.id = subTypeItem.apparatus_id;
    		subTypeEle.addEventListener('tap',subTypeItemClick);
    		
    		var imgEle = document.createElement('img');
    		imgEle.classList.add('mui-control-item-img');
    		imgEle.setAttribute('src',subTypeItem.icon);
    		subTypeEle.appendChild(imgEle);
    		
    		var divEle = document.createElement('div');
    		divEle.id = subTypeItem.apparatus_id;
    		divEle.innerHTML = subTypeItem.apparatus_name;
    		subTypeEle.appendChild(divEle);
    		
    		$('.mui-scroll-subType')[0].appendChild(subTypeEle);
			
			if(cateid && cateid == subTypeItem.apparatus_id){
				subTypeEle.classList.add('mui-active');
				allEle.classList.remove('mui-active');
				mui.trigger(subTypeEle,'tap');
			}
    	}
    	
    }
    
    
    // 跳转到某一个服务项目详情页
    
    // 点选某一个分类
    mui('.mui-content').on('tap', '.type-item', function() {
		debug('type-item click');
    	var parent = this.parentElement;
    	// debug(this.getAttribute('value'));
    	var sid = this.getAttribute('value');
    	requestServiceListWithSid(sid);
    	var itemArray = this.parentElement.children;
    	for (var i = 0; i < itemArray.length; i++) {
    		itemArray[i].classList.remove('mui-active');
    	}
    	$('.serviceItem-List')[0].innerHTML = '';
    	
    });
    
    function requestServiceListWithSid(sid){
		debug(sid);
		var string = sid;
		if(storeMes && storeMes.mloc_loccd){
			string = string + '&' + storeMes.mloc_loccd;
		}
    	var method = 'serviceList'+string;
		debug(method);
    	youpinRequest(method,{},function(res){
    		// mui.toast('请求成功');
    		var array  = res[sid];
    		// debug(array,current_apparatus_id);
    		currentArray = array;
    		showServiceList(array,current_apparatus_id)
    	},function(fail){
    		mui.toast(fail);
    	},function(timeout){
    		mui.toast(timeout);
    	})
    };
    
    
    function createServiceItem(serviceItem){
    	
    	var serviceItemDiv = document.createElement('div');
    	serviceItemDiv.classList.add('service-item');
    	serviceItemDiv.id = serviceItem.service_id;
		serviceItemDiv.setAttribute('skuID',serviceItem.id);
    	
    	var imgEle = document.createElement('img');
    	imgEle.setAttribute('src',serviceItem.photo);
    	imgEle.classList.add('service-img');
    	serviceItemDiv.appendChild(imgEle);
    	
    	var descDiv = document.createElement('div');
    	descDiv.classList.add('service-desc');
    	serviceItemDiv.appendChild(descDiv);
    	
    	var nameDiv = document.createElement('div');
    	nameDiv.classList.add('name');
    	nameDiv.innerHTML = serviceItem.name;
    	descDiv.appendChild(nameDiv);
    	
    	var timeDiv = document.createElement('div');
    	timeDiv.classList.add('time');
    	timeDiv.innerHTML = serviceItem.duration + '分钟';
    	descDiv.appendChild(timeDiv);
    	
    	var priceDiv = document.createElement('div');
    	priceDiv.classList.add('price');
    	descDiv.appendChild(priceDiv);
    	
    	
		
		var shopPriceDiv = document.createElement('span');
		shopPriceDiv.id = 'shop_price';
		shopPriceDiv.innerHTML = serviceItem.shop_price;
		priceDiv.appendChild(shopPriceDiv);
		
		var shopPriceDesSpan = document.createElement('span');
		shopPriceDesSpan.innerHTML = '元/次';
		priceDiv.appendChild(shopPriceDesSpan);
		
		if(serviceItem.price > serviceItem.shop_price){
			var priceSpan = document.createElement('span');
			priceSpan.id = 'price';
			priceSpan.innerHTML = serviceItem.price;
			priceDiv.appendChild(priceSpan);
			
			
			var priceDesSpan = document.createElement('span');
			priceDesSpan.innerHTML = '元/次';
			priceDesSpan.id = 'priceDes';
			priceDiv.appendChild(priceDesSpan);
		}
		
		
    	
    	return serviceItemDiv;
    	
    };
    
mui.plusReady(function () {
	
	var self = plus.webview.currentWebview();
	
	if(self.solutionid && self.cateid){
		solutionid = self.solutionid;
		cateid = self.cateid;
	}
	
	if(self.storeMes){
		storeMes = self.storeMes;
	}
	
	document.getElementById('search').addEventListener('tap',function(){
		var keyWord = document.getElementById('service-input').value;
		var param = {'keyWord':keyWord};
		if(self.userLat && self.userLng){
			param.userLat = self.userLat;
			param.userLng = self.userLng;
		}
		if(self.storeMes){
			param.storeMes = self.storeMes;
		}

		clicked('service-search.html','service-search',param);
	});
	
	mui('.mui-content').on('tap', '.service-item', function() {
		var self = plus.webview.currentWebview();
	
		var param = {};
		if(self.userLat && self.userLng){
			param.userLat = self.userLat;
			param.userLng = self.userLng;
		}
		if(self.storeMes){
			param.storeMes = self.storeMes;
		}
		param.serviceID = $(this)[0].id;
		param.skuID = $(this)[0].getAttribute('skuID');
	
		debug(param);
		clicked('service-detail.html', 'service-detail', param);
	});
	
	function requestTheServiceType(){
		debug('001');
		var param = {};
		youpinRequest('serviceType',param,function(res){
			// debug(res);
			// mui.toast('请求成功');
			showTypeList(res);
		},function(fail){
			mui.toast(fail);
		},function(timeout){
			mui.toast(timeout);
		});
	}
	
	// 获取类型数据
	requestTheServiceType();
})

