var date;
var period;
var adviser;
var customer = {};
var card;
var service;
var sku;
var storeMes;
function countChange (){
	var count = $('.remarks-textarea')[0].value.length;
	$('#count')[0].innerHTML = count;
}
function makeOrder() {

	var state = app.getState();
	debug(date, 'date');
	debug(period, 'period');
	debug(adviser, 'adviser');
	debug(customer, 'customer');
	debug(card, 'card');
	debug(sku, 'sku');
	debug(state, 'state');
	if (!customer) {
		mui.toast('请选择预约顾客');
		return;

	} else if (!customer.name || !customer.sex_name || customer.sex_name == '未知') {
		mui.toast('请完善个人信息');
		clicked('editNameAndSex.html','editNameAndSex',{'customer':customer});
		return;
	}


	if (!date) {
		mui.toast('请选择服务时间');
		return;
	}

	if (!period) {
		mui.toast('请选择服务时间');
		return;
	}

	if (!adviser) {
		mui.toast('请选择预约顾问');
		return;
	}

	if (!sku) {
		mui.toast('请正确选择服务规格');
		return;
	}

	var param = {};
	// state.account = '0010970203111';
	// type	是	int	预约类型 自约：1 ，代约：2
	if (state.account == customer.cust_mcode) {
		param.type = '1';
	} else {
		param.type = '2';
	}
	// cust_name	是	String	顾客姓名
	// cust_sex	是	int	顾客性别 女：0，男：1
	// cust_tel	是	String	顾客手机号
	// cust_mcode	否	String	顾客卡号
	param.cust_mcode = customer.cust_mcode;
	param.cust_name = customer.name;
	param.cust_sex = customer.sex;
	param.cust_tel = customer.cust_tel;
	// appoint_time	是	Date	预约日期（年-月-日）
	// timeslice	是	String	预约时间段 (关联mcod_fil)	
	param.appoint_time = date;
	param.timeslice = period.mcod_codsn;
	// cons_mcode	是	String	健康顾问卡号
	// cons_name	是	String	健康顾问姓名
	param.cons_mcode = adviser.consultant_mcode;
	param.cons_name = adviser.consultant_name;
	// service_id	是	long	服务项目ID
	// sku_name	是	String	sku规格名称
	// sku_duration	是	int	sku时长
	// sku_price	是	double	sku价格	
	param.service_id = sku.service_id;
	param.sku_name = sku.name;
	param.sku_duration = sku.duration;
	param.sku_price = sku.price;
	// card_id	否	long	卡片ID
	if (card && card.cardID) {
		param.card_id = card.cardID;
		param.card_type = card.type;
	}
	// plat	是	String	预约平台 国珍在线 GZZX 国珍微购 GZWG 新时优品 XSYP 生活馆系统 SHG
	param.plat = 'GZZX';
	// mcode	否	String	预约者卡号
	param.mcode = state.account;
	// rem	否	String	备注
	var remarks = $('.remarks-textarea')[0].value;
	if (remarks) {
		param.rem = remarks;
	}
	// loccd	是	String	授权店号
	param.loccd = storeMes.mloc_loccd;

	debug(param, 'param');

	var method = 'makeOrder';

	youpinRequest(method, param, function(res) {
		mui.toast('预约成功');
		debug(res);
		// clicked('service-order-detail.html', 'order-detail', {
		// 	'orderId': res.id
		// });
		clicked('service-order-list.html', 'service-order-list');
	}, function(fail) {
		mui.toast(fail);
	}, function(timeout) {
		mui.toast(timeout);
	});

}

function getLocalUser(){
	var state = app.getState();
	if (state) {
		plus.nativeUI.showWaiting();
		new ONex.Api().send('user.personalCenter', {
			'token': state.sign
		}, function(json) {
			plus.nativeUI.closeWaiting();
			debug(json, 'user.personalCenter');
			customer.cust_mcode = json.user_card;
			// json.user_name = null;
			// json.sex = null;
			if (json.user_name) {
				customer.name = json.user_name;
				document.getElementById('name').innerText = customer.name;
			}
			if (json.sex || json.sex == 0) {
				customer.sex = json.sex;
				if (customer.sex == 0) {
					customer.sex_name = '女';
				} else if (customer.sex == 1) {
					customer.sex_name = '男';
				} else {
					customer.sex_name = '未知';
				}
				document.getElementById('sex').innerText = customer.sex_name;
			}
	
			customer.cust_tel = json.user_mtel;
			document.getElementById('phone').innerText = customer.cust_tel;
			debug(customer);
		});
	}
}


mui.plusReady(function() {
	
	getLocalUser();

	var self = plus.webview.currentWebview();

	if (self.date && self.period) {
		date = self.date;
		period = self.period;
		$('#time-name')[0].innerHTML = date + ' ' + period.mcod_codsn;
	}

	if (self.adviser) {
		adviser = self.adviser;
		$('#adviser-img')[0].setAttribute('src', adviser.head_img);
		$('#adviser-name')[0].innerHTML = adviser.consultant_name;

	}

	if (self.service) {
		service = self.service;
		$('.service-content-title')[0].innerHTML = service.service_name;
		$('#service-img')[0].setAttribute('src', service.image);
	}

	if (self.sku) {
		sku = self.sku;
		// $('.service-content-desc')[0].innerHTML = '时长：' + sku.duration + '分钟' + ' ' + '规格：' + sku.name;
		$('#shichang')[0].innerHTML = '时长：' + sku.duration + '分钟';
		$('#guige')[0].innerHTML = '规格：' + sku.name;
		// $('#price')[0].innerHTML = '￥' + sku.price;
	}

	if (self.storeMes) {
		storeMes = self.storeMes;
		debug(storeMes,'storeMes');
		$('#store-address')[0].innerHTML = storeMes.mloc_addr1;
		$('.store-title')[0].innerHTML = storeMes.mloc_locnm;
	}
	
	document.addEventListener('refreshLocalUser',getLocalUser);

	mui('.mui-content').on('tap', '.customer-content', function() {
		debug('click');
		var param;
		if (customer) {
			param = {
				'selectedId': customer.id
			};
		}
		debug(param);
		clicked('customer-list.html', 'customer-list', param);
	});

	mui('.mui-content').on('tap', '.card-content', function() {
		// clicked('card-select.html', 'card-select');
		clicked('cardbox.html', 'card-select');
	});

	document.addEventListener('refreshTheCustomer', function(param) {
		debug('i hear you');
		debug(param.detail);
		customer = param.detail;
		document.getElementById('name').innerText = customer.name;
		document.getElementById('sex').innerText = customer.sex_name;
		document.getElementById('phone').innerText = customer.cust_tel;

	});

	document.addEventListener('refreshTheTimeAndAdviser', function(param) {
		debug(param.detail);
		date = param.detail.date;
		period = param.detail.period;
		adviser = param.detail.adviser;

		document.getElementById('time-name').innerText = date + ' ' + period.mcod_codsn;
		document.getElementById('adviser-img').setAttribute('src', adviser.head_img);
		document.getElementById('adviser-name').innerText = adviser.consultant_name;
		document.getElementById('adviser-sex').innerText;
	});

	document.addEventListener('refreshTheCard', function(param) {
		debug(param.detail);
		card = param.detail;
		document.getElementById('card-name').innerText = card.cardType;
	});


	mui('.mui-content').on('tap', '.time-content', function() {
		var param = {
			'type': 'makeorder',
			'storeMes': storeMes,
			'service_id':service.service_id
		};
		// debug(service,'service');
		if (date && period && adviser) {
			param.date = date;
			param.period = period;
			param.adviser = adviser;

		}
		debug(param, 'timeAdviserParam');
		clicked('service-choose-time.html', 'service-choose-time', param);
	});

	mui('.mui-content').on('tap', '.adviser-content', function() {
		var param = {
			'type': 'makeorder',
			'storeMes': storeMes,
			'service_id':service.service_id
		};
		if (date && period && adviser) {
			param.date = date;
			param.period = period;
			param.adviser = adviser;

		}
		debug(param, 'timeAdviserParam');
		clicked('service-choose-time.html', 'service-choose-time', param);
	});

	mui('.mui-content').on('tap', '.store-btn', function() {
		var self = plus.webview.currentWebview();
		var param = {
			'userLat': self.userLat,
			'userLng': self.userLng,
			'storeLat': storeMes.mloc_y,
			"storeLng": storeMes.mloc_x,
			"storeName": storeMes.mloc_locnm,
			"storeAddress": storeMes.mloc_addr1,
			"storeTel": storeMes.mloc_telno
		}

		debug(param, 'makeorder');

		clicked('store-position.html', 'store-position', param);

	});

	document.getElementById('makeOrder').addEventListener('tap', makeOrder);

})
