var sourceData;
var pickerProvince = null;
var provinceCode = null;
var pickerCity = null;
var cityCode = null;
var pickerArea = null;
var areaCode = null;
var cityArray = null;
var areaArray = null;
var mask = null;

// 回传方法
// var pickerConfirm = function(adr,code){
// 	debug(adr);
// 	debug(code);
// }

function showPicker(){
	
	pickerProvince = null;
	provinceCode = null;
	pickerCity = null;
	cityCode = null;
	pickerArea = null;
	areaCode = null;
	
	$('#selectedProvince')[0].innerHTML = '请选择';
	$('#selectedCity')[0].innerHTML = '请选择';
	$('#selectedArea')[0].innerHTML = '请选择';
	
	document.getElementById('province-select').hidden = false;
	document.getElementById('city-select').hidden = true;
	document.getElementById('area-select').hidden = true;
	
	if(!mask){
		mask = mui.createMask(function () {
				
			if(!$('.picker-div')[0].hidden){
				return false;
			}else{
				// mask.close();
				return true;
			}
		})
	}
	mask.show();
	$('.picker-div')[0].hidden = false;
}

function initPicker(){
	// debug('initPicker');
	
	var picker = $('.picker-div')[0];
	if(picker){
		return;
	}
	
	var pickerDiv = document.createElement('div');
	pickerDiv.classList.add('picker-div');
	pickerDiv.hidden = true;
	$('.mui-content')[0].appendChild(pickerDiv);
	
	var btnDiv = document.createElement('div');
	btnDiv.classList.add('button-div');
	pickerDiv.appendChild(btnDiv);
	
	var cancelBtn = document.createElement('button');
	cancelBtn.id = 'picker-cancel';
	cancelBtn.innerText = '取消';
	btnDiv.appendChild(cancelBtn);
	
	var confirmBtn = document.createElement('button');
	confirmBtn.id = 'picker-confirm';
	confirmBtn.innerText = '确定';
	btnDiv.appendChild(confirmBtn);
	
	var selectedDiv = document.createElement('div');
	selectedDiv.classList.add('selected');
	pickerDiv.appendChild(selectedDiv);
	
	var proSpan = document.createElement('span');
	proSpan.id = 'selectedProvince';
	proSpan.innerHTML = '请选择';
	selectedDiv.appendChild(proSpan);
	
	var citySpan = document.createElement('span');
	citySpan.id = 'selectedCity';
	citySpan.innerHTML = '请选择';
	selectedDiv.appendChild(citySpan);
	
	var areaSpan = document.createElement('span');
	areaSpan.id = 'selectedArea';
	areaSpan.innerHTML = '请选择';
	selectedDiv.appendChild(areaSpan);
	
	var scrollView = document.createElement('div');
	scrollView.classList.add('mui-scroll-wrapper','picker-scroll');
	pickerDiv.appendChild(scrollView);
	
	var scrollContent = document.createElement('div');
	scrollContent.classList.add('mui-scroll');
	scrollView.appendChild(scrollContent);
	
	var proDiv = document.createElement('div');
	proDiv.id = 'province-select';
	scrollContent.appendChild(proDiv);
	
	var cityDiv = document.createElement('div');
	cityDiv.id = 'city-select';
	cityDiv.hidden = true;
	scrollContent.appendChild(cityDiv);
	
	var areaDiv = document.createElement('div');
	areaDiv.id = 'area-select';
	areaDiv.hidden = true;
	scrollContent.appendChild(areaDiv);
	
	mui('.picker-scroll').scroll({
		deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
	});
	
	// debug($('.mui-content')[0].innerHTML);
}

function createProvince() {
	// debug('createProvince');
	for (i = 0; i < sourceData.length; i++) {
		var provinceItem = sourceData[i];
		var provinceDiv = document.createElement('div');
		provinceDiv.classList.add('province-item');
		provinceDiv.value = provinceItem.value;
		provinceDiv.innerHTML = provinceItem.text;
		document.getElementById('province-select').appendChild(provinceDiv);
	}
	// document.getElementById('province-select').hidden = false;
};

function creatCityList(array) {

	document.getElementById('city-select').innerHTML = '';
	for (i = 0; i < array.length; i++) {
		var cityItem = array[i];
		var cityDiv = document.createElement('div');
		cityDiv.innerHTML = cityItem.text;
		cityDiv.value = cityItem.value;
		cityDiv.classList.add('city-item');
		document.getElementById('city-select').appendChild(cityDiv);
	}
	document.getElementById('province-select').hidden = true;
	document.getElementById('city-select').hidden = false;
	
	
};

function creatAreaList(array) {

	document.getElementById('area-select').innerHTML = '';
	for (i = 0; i < array.length; i++) {
		var areaItem = array[i];
		var areaDiv = document.createElement('div');
		areaDiv.innerHTML = areaItem.text;
		areaDiv.value = areaItem.value;
		areaDiv.classList.add('area-item');
		document.getElementById('area-select').appendChild(areaDiv);
	}
	document.getElementById('area-select').hidden = false;
};

	
function showAreaPicker(data){
	sourceData = data;
	// debug(sourceData);
	initPicker();
	showPicker();
	createProvince();
}

// showAreaPicker();

mui('.mui-content').on('tap', '.province-item', function(e) {
	// debug('province-item');
	// debug(this.innerHTML)
	// debug(this.value);
	pickerProvince = this.innerHTML;
	provinceCode = this.value;
	// debug(provinceCode, 'provinceCode');
	$('#selectedProvince')[0].innerHTML = pickerProvince;
	$('#selectedCity')[0].innerHTML = '请选择';
	$('#selectedArea')[0].innerHTML = '请选择';
	pickerCity = '';
	cityCode = null;
	pickerArea = '';
	areaCode = null;
	mui('.picker-scroll').scroll().scrollTo(0,0,100);
	for (i = 0; i < sourceData.length; i++) {
		var provinceItem = sourceData[i];
		// debug(provinceItem.value, 'provinceItem.value');
		if (provinceItem.value == provinceCode) {
			cityArray = provinceItem.children;
			creatCityList(cityArray);
			return;
		}
	}

});

mui('.mui-content').on('tap', '.city-item', function(e) {
	// debug('city-item');
	// debug(this.innerHTML);
	pickerCity = this.innerHTML;
	cityCode = this.value;
	$('#selectedCity')[0].innerHTML = pickerCity;
	pickerArea = '';
	areaCode = null;
	$('#selectedArea')[0].innerHTML = '请选择';
	var areaArray = null;

	document.getElementById('city-select').hidden = true;
	// debug(this.value);
	mui('.picker-scroll').scroll().scrollTo(0,0,100);
	for (i = 0; i < cityArray.length; i++) {
		var cityItem = cityArray[i];
		if (cityItem.value == cityCode) {
			areaArray = cityItem.children;
			creatAreaList(areaArray);
			return;
		}
	}
});

mui('.mui-content').on('tap', '.area-item', function(e) {
	// debug('area-item');
	// debug(this.innerHTML);
	pickerArea = this.innerHTML;
	$('#selectedArea')[0].innerHTML = pickerArea;
	var areaArray = null;
	document.getElementById('city-select').hidden = true;
	// debug(this.value);
	areaCode = this.value;

});

mui('.mui-content').on('tap', '#selectedProvince', function() {
	document.getElementById('province-select').hidden = false;
	document.getElementById('area-select').hidden = true;
	document.getElementById('city-select').hidden = true;

})
mui('.mui-content').on('tap', '#selectedCity', function() {
	document.getElementById('province-select').hidden = true;
	document.getElementById('area-select').hidden = true;
	document.getElementById('city-select').hidden = false;

})

mui('.mui-content').on('tap','#picker-cancel',function(){
	// debug('picker-cancel');
	pickerProvince = null;
	provinceCode = null;
	pickerCity = null;
	cityCode = null;
	pickerArea = null;
	areaCode = null;
	$('.picker-div')[0].hidden = true;
	mask.close(true);
})

mui('.mui-content').on('tap','#picker-confirm',function(){
	// debug('picker-confirm');
	if(!areaCode || areaCode.length == 0){
		mui.toast('请选择完整的省市区信息');
		return;
	}
	// debug(pickerProvince,'pickerProvince');
	// debug(pickerCity,'pickerCity');
	// debug(pickerArea,'pickerArea');
	var addrStr = pickerProvince + pickerCity + pickerArea;
	// debug(addrStr,'addrStr');
	// debug(areaCode,'areaCode');
	$('.picker-div')[0].hidden = true;
	mask.close();
	if(pickerConfirm && typeof(pickerConfirm) === 'function'){
		var returnCode = provinceCode + ','+cityCode+','+areaCode;
		pickerConfirm(addrStr,returnCode);
	}
	
})
