mui.plusReady(function () {
    
})
var baseUrl = null;
var imageBaseUrl = null;

// 正式环境：
baseUrl = 'https://www.xinshiyp.com:9443';
// 测试环境：
// baseUrl = 'https://xsyp.guozhen.cn:9000';

// 正式环境
imageBaseUrl = 'https://www.xinshiyp.com:8443';
// 测试环境：
// imageBaseUrl = 'https://xsyp.guozhen.cn:8077';

// baseUrl = 'http://172.29.200.8:9007';
// baseUrl = 'https://xinshiyp.guozhen.cn:9000';
// baseUrl = 'https://xinshiyp.guozhen.cn:9443';
// baseUrl = 'http://172.31.2.73:9000';
// imageBaseUrl = 'https://xinshiyp.guozhen.cn:8077';
// imageBaseUrl = 'https://xinshiyp.guozhen.cn:8443';

function youpinRequest (method,param,successBlock,failBlock,timeoutBlock){
	
	plus.nativeUI.showWaiting();
	
	var g =this;
	
	var url;
	if(method == 'getHLTRecordGZ'){
		// 健康档案列表
		url = baseUrl +'/member/customer/getHLTRecordGZ';
	}else if(method == 'getCouponsGZ'){
		// 我的页面，优惠券、卡包数量
		url = baseUrl +'/member/customer/getCouponsGZ';
	}else if(method == 'getAllCardGZ'){
		// 卡包列表
		url = baseUrl +'/member/card/getAllCardGZ';
	}else if(method == 'getCardByFlag'){
		// 已使用和已过期
		url = baseUrl +'/member/card/getCardByFlag';
	}else if(method == 'getHLTRecordDetailGZ'){
		// 健康档案详情
		url = baseUrl +'/member/customer/getHLTRecordDetailGZ';
	}else if(method == 'nearest'){
		// 根据经纬度查询门店信息
		url = baseUrl +'/booking/mloc/nearest';
		// url = 'https://xinshiyp.guozhen.cn:9000/booking/mloc/nearest';
	}else if(method == 'serviceType'){
		// 服务分类类型
		url = baseUrl +'/booking/solution/type/all';
	}else if(method.startsWith('serviceList')){
		// 服务项目列表
		url = baseUrl +'/booking/solution/projects';
		var string = method.replace('serviceList','')
		debug(string,'string'); 
		var array = string.split('&');
		debug(array);
		for (var i = 0; i < array.length; i++) {
			var subStr = array[i];
			url = url + '/' + subStr;
		}
	}else if(method.startsWith('serviceDetail')){
		// 服务项目详情
		var serviceID = method.replace('serviceDetail','')
		url = baseUrl +'/booking/solution/service/details/'+serviceID;
	}else if(method == 'times'){
		// 可预约时段查询
		url = baseUrl +'/booking/appoint/times';
	}else if(method == 'adviserList'){
		// 根据时段查询可预约顾问
		url = baseUrl +'/booking/consultant/eable/list';
	}else if(method == 'customerList'){
		// 顾客列表
		url = baseUrl +'/member/customer/getCustomerGZ';
	}else if(method == 'userInfo'){
		// 根据手机号码查询顾客信息
		url = baseUrl +'/member/member/userInfo';
	}else if(method == 'sendCode'){
		// 添加顾客，发送验证码
		url = baseUrl +'/member/member/getCode';
	}else if(method == 'addCustomer'){
		// 添加顾客
		url = baseUrl +'/member/customer/addCustomer';
	}else if(method == 'makeOrder'){
		// 提交预约单
		url = baseUrl +'/booking/appoint/create';
	}else if(method.startsWith('storeSolutions')){
		// 门店首页，健康解决方案轮播图
		var loccd = method.replace('storeSolutions','')
		url = baseUrl +'/booking/solution/mloc/'+loccd;
	}else if(method == 'nearbyStore'){
		// 附近门店列表，根据经纬度查询周边门店
		url = baseUrl +'/booking/mloc/near/list';
	}else if(method == 'cityList'){
		// 城市列表：门店选择时候可选城市列表
		url = baseUrl +'/booking/mloc/cities';
	}else if(method == 'storeSearchWithName'){
		// 门店搜索，根据城市名称和关键字进行门店搜索
		url = baseUrl +'/booking/mloc/query/name';
	}else if(method == 'serviceOrderList'){
		// 预约订单列表
		url = baseUrl +'/booking/appoint/list';
	}else if(method.startsWith('serviceOrderDetail')){
		// 预约订单详情
		var orderId = method.replace('serviceOrderDetail','')
		url = baseUrl +'/booking/appoint/details/'+orderId;
	}else if(method == 'consent'){
		// 查看知情同意书
		url = baseUrl +'/booking/customer/sign/get';
	}else if(method == 'searchTheServices'){
		// 搜索服务项目
		url = baseUrl +'/booking/solution/projects/condition';
	}else if(method == 'cancelTheOrder'){
		// 取消预约订单
		url = baseUrl +'/booking/appoint/cancel';
	}else if(method == 'getServiceList'){
		// 服务记录列表
		url = baseUrl +'/member/customer/getServiceList';
	}else if(method == 'getServiceRecord'){
		// 服务记录详情
		url = baseUrl +'/member/customer/getServiceRecord';
	}else if(method == 'storeAdviserList'){
		// 门店健康顾问列表
		url = baseUrl +'/directsell/adviser/adviserList';
	}else if(method == 'storeAdviserDetail'){
		// 门店健康顾问详情
		url = baseUrl +'/directsell/adviser/adviserDetail';
	}else if(method == 'youpinLogin'){
		// 获取优品token
		url = baseUrl +'/member/member/loginGZ';
	}else if(method == 'solutionDetail'){
		// 健康解决方案详情
		url = baseUrl +'/directsell/adviser/solutionDetail';
	}else if(method == 'gzzxtest'){
		// 健康解决方案详情
		url = 'https://weidian.guozhen.cn/index.php/openapi/rpc/service';
	}else if(method == 'cancelCause'){
		url = baseUrl + '/booking/appoint/cancelCause';
	}else if(method == 'changePersonInfo'){
		url = baseUrl + '/member/member/changePersonInfo';
	}else if(method == 'storeImages'){
		url = baseUrl + '/booking/mloc/images/mloc';
	}
	
	console.log(url);
	var youpinToken = mui.getItem('youpinToken');
	// youpinToken = 'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyb2xlIjoiMSIsIm1jb2RlIjoiMDAxMDk3MDIwMzExMSIsInBob25lIjoiMTg2MTEyMDg5MjIiLCJpc3MiOiJ3d3cueGluc2hpeXAuY29tIiwiZnJvbSI6IkdaWlgiLCJpYXQiOjE2NDY4OTMzNDF9.TTcHwQMCPfAyHDe_-qfrB1foR0ps9d14DT0fenIQX80';
	debug(youpinToken,'youpintoken');
	var xhr = new plus.net.XMLHttpRequest();
	xhr.open("POST", url);
	xhr.setRequestHeader('Accept', 'application/json,text/plain,*/*');
	xhr.setRequestHeader('Content-Type', 'application/json');
	// xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	xhr.setRequestHeader('Authorization',youpinToken);
	
	xhr.onreadystatechange = function() {
		if(method == 'changePersonInfo'){
			console.log(JSON.stringify(xhr));
		}
		
		// if(method.startsWith('gzzxtest')){
		// 	console.log(JSON.stringify(xhr));
		// }
		
		// console.log(JSON.stringify(xhr));
		
		switch (xhr.readyState) {
			case 4:
				if (xhr.status == 200) {
					try {
						// console.log(xhr.responseText);
						var json = JSON.parse(xhr.responseText);
						if(json.type == 'success' && json.code == '1001'){
							successBlock.call(g,json.data);
						}else if(json.data){
							successBlock.call(g,json.data);
						}else if(json.success){
							successBlock.call(g,json);
						}else{
							failBlock.call(g,json.message);
						}
					} catch (e) {
						
					}
	
				} else {
					// failBlock.call(g,json.message);
					failBlock.call(g,'出错了');
				}
				plus.nativeUI.closeWaiting();
				break;
			default:
				plus.nativeUI.closeWaiting();
				break;
		}
	};
	xhr.ontimeout = function() {
		timeoutBlock.call(g,'网络超时');
	}
	paramString = JSON.stringify(param);
	debug(paramString,'paramString');
	xhr.send(paramString);
}