function showDom(json,types){
	var modal='<li class="mui-table-view-cell {{hasObtain}}">\
	<div class="coupon-main">\
		<div class="c-title">\
			<div class="main">\
				<span class="unit">¥</span><span class="value">{{deduct_money}}</span>\
			</div>\
			<div class="rule">满{{limit_money}}元可用</div>\
		</div>\
		<div class="c-line"></div>\
		<div class="c-detail">\
			<div class="c-name">优惠劵<span class="c-obtain-btn" rule_id="{{rule_id}}">{{obtainText}}</span></div>\
			<div class="rule">有效期{{canuse_start_time}}至{{canuse_end_time}}</div>\
			<div class="rule">{{limit_type}}</div>\
		</div>\
	</div></li>';
	var fields = ["deduct_money","limit_money","canuse_start_time","canuse_end_time","is_valid","limit_type","hasObtain","rule_id"];
	var _html = '';
	for (var i=0; i<json.length; i++) {
		var str = modal;
		for (var j=0; j<fields.length; j++) {
			var reg = new RegExp('\{\{'+fields[j]+'\}\}');
			var val = json[i][fields[j]];
			if(fields[j]=='limit_type'){
				switch(val){
					case 'all':
						val = '国珍在线会员可领';
						break;
					case 'pv':
						val = '成功申报业绩累计达到'+json[i]['limit_pv']+'PV可领';
						break;
					case 'recommend':
						val = '累计推荐'+json[i]['limit_recommend']+'位新人可领';
						break;

				}
			}else if(fields[j]=='hasObtain'){
				var tmpReg = new RegExp('\{\{obtainText\}\}');
				str = str.replace(tmpReg,val=='1'?'已领取':'领取');
				val = val=='1'?'obtained':'';
			}
			str = str.replace(reg, val);
		}
		_html += str;
	}
	if(types=="refresh"){
		$('#coupon-list').html(_html);
	}else{
		$('#coupon-list').append(_html);
	}
	$("#coupon-list li:not(.obtained)").on('tap','.c-obtain-btn',function(){
		var _this = $(this);
		var rule_id = _this.attr('rule_id');
		var token = state.sign;
		var params = {'token':token,'rule_id':rule_id};
		new ONex.Api().post('coupon.obtainCouponByManual',params, function (c) {
			if(c.status="succ"){
				mui.toast(c.msg);
				_this.html('已领取');
				_this.closest('li').addClass('obtained');
			}
		})
	});
}
//初次请求加载结束  下拉刷新			
function pulldownRefresh() {
	var param = {'token':state.sign,'pageSize':pageSize,'pages':1};
	console.error(JSON.stringify(param));
	new ONex.Api().post('coupon.canObtainCoupon',param, function (c) {
		console.error(JSON.stringify(c));
		count=c.count;  //优惠劵总数
		totalPage=c.totalPage;  //总数
		jsons=c.couponList;  //列表数据
		pageNum=c.current;  //当前页码
		if(jsons.length!==0){
			$('.no-return-list').addClass('hide');
			$('.coupon-title').removeClass('hide');
		}
		setTimeout(function(){
			showDom(jsons,'refresh');
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh(); 
			mui('#pullrefresh').pullRefresh().refresh(true);
			if(plus.os.name=="iOS") {
				$('.mui-pull-bottom-pocket').removeClass('mui-visibility');
			}
		},500);
	});
}
//上拉加载
function pullupRefresh() {
	pageNum++;
	if(pageNum>totalPage){
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
		if(plus.os.name=="iOS") {
			$('.mui-pull-bottom-pocket').addClass('mui-visibility');
		}
		return;
	}
	var param = {'token':state.sign,'pageSize':pageSize,'pages':pageNum};
	console.error(JSON.stringify(param));
	new ONex.Api().post('coupon.canObtainCoupon',param, function (c) {
		console.error(JSON.stringify(c));
		count=c.count;  //优惠劵总数
		totalPage=c.totalPage;  //总数
		jsons=c.couponList;  //列表数据
		pageNum=c.current;  //当前页码
		if(totalPage==1){
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			return true;
		}
		setTimeout(function(){
			showDom(jsons,'');
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
			if(pageNum >= totalPage){
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				if(plus.os.name=="iOS") {
					$('.mui-pull-bottom-pocket').addClass('mui-visibility');
				}
			}
		},500);
	});								
}
//初始化上拉下拉
function initCoupon(){
	mui.init({
		swipeBack:true, //启用右滑关闭功能
		pullRefresh: {
			container: '#pullrefresh',
			down: {
				height:50,//可选,默认50.触发下拉刷新拖动距离,
				auto: false,//可选,默认false.自动下拉刷新一次
				contentdown : "下拉可以刷新",//可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
				contentover : "松手更新...",//可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
				contentrefresh : "更新中...",//可选，正在刷新状态时，下拉刷新控件上显示的标题内容
				callback: pulldownRefresh
			},
			up: {
				height:50,//可选.默认50.触发上拉加载拖动距离
				auto:false,//可选,默认false.自动上拉加载一次
				contentinit: " ",//默认状态
				contentdown : " ",//上拉后的状态
				contentrefresh : "正在加载数据",//可选，正在加载状态时，上拉加载控件上显示的标题内容
				contentnomore:'—没有更多了—',//可选，请求完毕若没有更多数据时显示的提醒内容；
				callback: pullupRefresh
			}
		}
	});
}