/**
 * 全局业务，类似通用的底部头部等实现
 */
//(function () {
//	if (document.getElementById("footer_main")) {
//		document.getElementById("footer_main").addEventListener('tap', function () {
//			mui.openWindow({
//			    id:'businessmanage',
//			    url:'/view/business/manage.html',
//			    show:{
//					autoShow:true,//页面loaded事件发生后自动显示，默认为true
//					aniShow:'fade-in',//页面显示动画，默认为”slide-in-right“；
//					duration:'200'//页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
//			    }
//			});
//		});
//	}
//	
//})();

/**
 * 全局方法
 */

/**
 * template replace function
 * @param object params
 * @tpl string template
 * @el object element 
 * @author qianzedong
 */
var tplReplace = function(params, tpl, el){
	var result = formatTemplate(params, tpl);
	el.innerHTML = result;
	checkNoData(el);
}

/**
 * check NoData element Contents
 * @param object element
 * @author qianzedong
 */
var checkNoData = function(el){
	var firstButton = document.getElementById('xsd-empty-button-first');
	var secondButton = document.getElementById('xsd-empty-button-second');
	
	if(firstButton != null &&
	   firstButton != undefined &&
	   firstButton.innerHTML != "undefined"
	){
		$("#xsd-empty-button-first").removeClass("hide");
	}
	
	if(secondButton != null &&
	   secondButton != undefined &&
	   secondButton.innerHTML != "undefined"
	){
		$("#xsd-empty-button-second").removeClass("hide");
	}
}

/**
 * @author qianzedong
 * @param object dta  例:{ "A": “a”, "B": "b", "C":"c"  }
 * @param str tmpl 变量例:{mid}
 */
function formatTemplate(dta, tmpl) {  
    var format = {  
        name: function(x) {  
            return x  
        }  
    };  
    return tmpl.replace(/{(\w+)}/g, function(m1, m2) {  
        if (!m2)  
            return "";  
        return (format && format[m2]) ? format[m2](dta[m2]) : dta[m2];  
    }); 
}


var isJson = function(obj){
    var isjson = typeof(obj) == "object" && Object.prototype.toString.call(obj).toLowerCase() == "[object object]" && !obj.length
    return isjson;
}

/**
 * 全局对象
 */

/**
 * public template object
 * @author qianzedong
 */
var publicTpl = {
	'noData':'<style>.mui-table-view{background:none!important;}.xsd-empty-logo{font-size:92px!important;color:#f57a49!important;}</style><div id="no-data">\
		    		<div class="xsd-empty-content" style="padding-top: 105px; margin-top: 0;">\
					<div class="xsd-empty-logo mui-icon newageiconfont {ico}">\
					</div>\
					<div class="xsd-empty-info">\
						<span class="xsd-empty-text">{msg}</span>\
					</div>\
					<div class="xsd-empty-button hide" id="xsd-empty-button-first">{firstButton}</div>\
					<div class="xsd-empty-button hide" id="xsd-empty-button-second">{secondButton}</div>\
				</div>\
		    </div>'
};

//查找元素所在数组索引
var arrIndexOf = function(el,obj) {
	for (var i=0,n=obj.length; i<n; i++){
	  if (obj[i] === el){
	   return i;
	  }
	}
 	return -1;
}

//plus.navigator.setCookie( "http://weidian.guozhen.cn/", "age=35; expires=Friday,24-Jan-2020 16:24:36 GMT; path=/" );
//alert(plus.navigator.getCookie('http://weidian.guozhen.cn/'));