
(function($, owner) {
	/**
	 * 用户登录
	 **/
	owner.login = function(loginInfo, callback) {
		callback = callback || $.noop;
		loginInfo = loginInfo || {};
		loginInfo.account = loginInfo.account || '';
		loginInfo.password = loginInfo.password || '';
		debug(loginInfo,'logininfo');
		if (loginInfo.account=='') {
			return callback('账号不能为空');
		}
		if (loginInfo.password=='') {
			return callback('密码不能为空');
		}

		//ONex.api.login
//		plus.nativeUI.showWaiting(); 
		var uuid = plus.device.uuid || 'NO-PERMISSION';
		var info = plus.push.getClientInfo();
 		var param = {'account':loginInfo.account,'password':loginInfo.password,'clientid':info.clientid,'devoice_type':plus.os.name,'o':plus.os.name,'v':plus.os.version,'sw':plus.screen.resolutionWidth*plus.screen.scale,'sh':plus.screen.resolutionHeight,'pb':plus.device.vendor,'pm':plus.device.model,'uuid':uuid};
// var param = {'account':loginInfo.account,'password':loginInfo.password,'devoice_type':plus.os.name,'o':plus.os.name,'v':plus.os.version,'sw':plus.screen.resolutionWidth*plus.screen.scale,'sh':plus.screen.resolutionHeight,'pb':plus.device.vendor,'pm':plus.device.model};
    	console.log(JSON.stringify(param))
    	new ONex.Api().login(param, function (authed) {
    		console.error(authed);
			if (authed.token) {
				//检测if_agreement 是否同意协议
				if(authed.verify_flag.if_agreement===false) {
//				if(1===1) {	
					plus.nativeUI.closeWaiting();
					clicked('_www/view/login/upAgreement.html','agreement',{
						 account:authed.user_card,token:authed.token,phone_verify:authed.verify_flag.phone_verify,question_verify:authed.verify_flag.question_verify,photoVerify:authed.verify_flag.photoVerify,callback:callback
					})
					
//					mui.openWindow({
//					    id:'agreement',
//					    url:'upAgreement.html',
//					    show:{
//					      autoShow:true,//页面loaded事件发生后自动显示，默认为true
//					      aniShow:'slide-in-right',//页面显示动画，默认为”slide-in-right“；
//					      duration:'200'//页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
//					    },extras:{
//					        account:loginInfo.account,token:authed.token,phone_verify:authed.verify_flag.phone_verify,question_verify:authed.verify_flag.question_verify,photoVerify:authed.verify_flag.photoVerify,callback:callback
//					    }
//					});
//					new ONex.Api().send('user.upAgreement', {'token':authed.token}, function (json) {
//						return owner.createState(loginInfo.account, authed.token,authed.verify_flag.phone_verify,authed.verify_flag.question_verify, callback);
//					})
//					new ONex.Api().send('user.applicense',{token:'xxxxxxxxxxxxxx'}, function(err) {
//						plus.nativeUI.closeWaiting(); 
//						mui.confirm(err.license, '<<登录用户协议>>', ['取消', '我同意'], function(e) {
//							if (e.index == 1) {
//								new ONex.Api().send('user.upAgreement', {'token':authed.token}, function (json) {
//									return owner.createState(loginInfo.account, authed.token,authed.verify_flag.phone_verify,authed.verify_flag.question_verify, callback);
//								})
//							}else{
//								return callback();
//							}
//						});
//					});
										
				}else{
					return owner.createState(authed.user_card, authed.token,authed.verify_flag.phone_verify,authed.verify_flag.question_verify,authed.verify_flag.photoVerify,authed.user_loccd,authed.verify_flag.mobile,callback);	
				}
			} else {
				return callback(authed);
			}
        })
//  	plus.nativeUI.closeWaiting(); 
	};

	owner.createState = function(name, sign,user_token,phoneV,questionV,photoVerify,loccd,phone,user_type,sqzCode,sqzName) {
		var state = owner.getState();
		state.account = name;
		state.sign = sign;
		state.user_token = user_token;
		state.phoneV = phoneV;
		state.questionV = questionV;
		state.photoVerify = photoVerify;
		state.loccd = loccd;
		state.phone = phone;
		state.user_type = user_type;
		state.sqzCode = sqzCode;
		state.sqzName = sqzName;
		var info = plus.push.getClientInfo();
		//登录名
		new ONex.Api().userUsername({'token':state.sign,'user_card':state.account, 'clientId':info.clientid, 'need_after_loccd':true}, function (c) {
			if(c.username){
				state.username = c.username;
			}
			debug(c,'ccc')
			if(c.user_iszxy) {
				state.user_iszxy = c.user_iszxy;
			}
			
			if(c.after_loccd){
				state.after_loccd = c.after_loccd;
			}
			debug(state,'state')
			owner.setState(state);
			console.error('login in')
			// return callback();
		})
	
	};

	/**
	 * 新用户注册
	 **/
	owner.reg = function(regInfo, callback) {
		callback = callback || $.noop;
		regInfo = regInfo || {};
		
    	new ONex.Api().send('user.create',regInfo, function (reg) {
    		return callback(reg)
        })
//		return callback('网络不太好，请重试！');
	};
	
	/**
	 * 更新密码
	 **/
	owner.restPwd = function(rInfo, callback) {
		callback = callback || $.noop;
		rInfo = rInfo || {};
		rInfo.password = rInfo.password || '';
		rInfo.account = rInfo.account || '';
		rInfo.mobile = rInfo.mobile || '';
		rInfo.veri = rInfo.veri || '';
		if (rInfo.account == '') {
			return callback('卡号不能为空！');
		}
		if (rInfo.mobile == '') {
			return callback('手机号不能为空！');
		}
		if (rInfo.veri == '') {
			return callback('验证码不能为空！');
		}
		if (rInfo.password.length < 6) {
			return callback('密码最短需要 6 个字符');
		}
		var param = {'newPwd':rInfo.password, 'mobile':rInfo.mobile,'account':rInfo.account,'vcode':rInfo.veri};
    	new ONex.Api().resetPwd(param, function (rest) {
//  		console.log(JSON.stringify(rest))
			if (rest) {
				if(rest.flag){
					return callback();
				}
				return callback(rest);
			}
			return callback();
        })
		
	};
	
	/**
	 * 安全问题更新密码
	 **/
	owner.Qrest = function(qInfo, callback) {

		callback = callback || $.noop;
		qInfo = qInfo || {};
		qInfo.password = qInfo.password || '';
		qInfo.account = qInfo.account || '';
		qInfo.bank = qInfo.bank || '';
		qInfo.ceri = qInfo.ceri || '';
		
		if (qInfo.account == '') {
			return callback('卡号不能为空！');
		}
		if (qInfo.ceri == '') {
			return callback('身份证号不能为空！');
		}
		if (qInfo.bank == '') {
			return callback('银行卡号不能为空！');
		}
		if(qInfo.password==''){
			return callback('密码不能为空！');
		}
		if (qInfo.password.length < 6) {
			return callback('密码最短需要 6 个字符');
		}
		var param = {'newPwd':qInfo.password, 'bank_card':qInfo.bank,'account':qInfo.account,'id_card':qInfo.ceri};
    	new ONex.Api().safetyQuestion(param, function (rest) {
			if (rest) {
				if(rest.flag){
					return callback();
				}
				return callback(rest);
			}
			return callback();
        })
		
	};
	
	/**
	 * 更新密码
	 **/
	owner.setpass = function(setpassInfo, callback) {
		callback = callback || $.noop;
		if (setpassInfo.oldPwd == '') {
			return callback('旧密码不能为空！');
		}
		if (setpassInfo.password == '') {
			return callback('密码不能为空！');
		}
		if (setpassInfo.repassword == '') {
			return callback('确认密码不能为空！');
		}
		if (setpassInfo.new_card == '') {
			return callback('卡号不能为空！');
		}
		if (setpassInfo.repassword != setpassInfo.password) {
			return callback('二次密码不一致！');
		}
		var param = {'oldPwd':setpassInfo.oldPwd,'confirmPwd':setpassInfo.repassword, 'newPwd':setpassInfo.password,'new_card':setpassInfo.new_card};
    	new ONex.Api().userSetPwd(param, function (rest) {
			if (rest) {
				return callback();
			}
        })
	};
	
	/**
	 * 更新密码
	 **/
	owner.up = function(upInfo, callback) {
		callback = callback || $.noop;
		upInfo = upInfo || {};
		upInfo.newpassword = upInfo.newpassword || '';
		upInfo.password = upInfo.password || '';
		if (upInfo.password.length < 6) {
			return callback('密码最短需要 6 个字符');
		}
		return callback('请稍后重试！');
//		var state = owner.getState();
//		var param = {'old_pwd':upInfo.password, 'new_pwd':upInfo.newpassword,'confirm_pwd':upInfo.newpassword,'type':'update'};
//  	new ONex.Api().up(param, function (up) {
//			if (up) {
//				return callback();
//			} else {
//				return callback('请稍后重试！');
//			}
//      })
		
	};
	/**
	 * 获取当前状态
	 **/
	owner.getState = function() {
		var stateText = localStorage.getItem('$state') || "{}";
		return JSON.parse(stateText);
	};

	/**
	 * 设置当前状态
	 **/
	owner.setState = function(state) {
		state = state || {};
		localStorage.setItem('$state', JSON.stringify(state));
		localStorage.removeItem('offline');
	};

	var checkEmail = function(email) {
		email = email || '';
		return (email.length > 3 && email.indexOf('@') > -1);
	};

	/**
	 * 找回密码
	 **/
	owner.forgetPassword = function(email, callback) {
		callback = callback || $.noop;
		if (!checkEmail(email)) {
			return callback('邮箱地址不合法');
		}
		return callback(null, '新的随机密码已经发送到您的邮箱，请查收邮件。');
	};

	/**
	 * 获取应用本地配置
	 **/
	owner.setSettings = function(settings) {
		settings = settings || {};
		localStorage.setItem('$settings', JSON.stringify(settings));
	}

	/**
	 * 设置应用本地配置
	 **/
	owner.getSettings = function() {
		var settingsText = localStorage.getItem('$settings') || "{}";
		return JSON.parse(settingsText);
	}
	
	/**
   * 设置应用本地配置
   **/
  owner.getSettings = function() {
      var settingsText = localStorage.getItem('$settings') || "{}";
      return JSON.parse(settingsText);
    }
    /**
     * 获取本地是否安装客户端
     **/
  owner.isInstalled = function(id) {
    if(mui.os.android) {
      var main = plus.android.runtimeMainActivity();
      var packageManager = main.getPackageManager();
      var PackageManager = plus.android.importClass(packageManager)
      var packageName = {
        "qq": "com.tencent.mobileqq",
        "weixin": "com.tencent.mm",
        "sinaweibo": "com.sina.weibo"
      }
      try {
        return packageManager.getPackageInfo(packageName[id], PackageManager.GET_ACTIVITIES);
      } catch(e) {}
    } else {
      switch(id) {
        case "qq":
          var TencentOAuth = plus.ios.import("TencentOAuth");
          return TencentOAuth.iphoneQQInstalled();
        case "weixin":
          var WXApi = plus.ios.import("WXApi");
          return WXApi.isWXAppInstalled()
        case "sinaweibo":
          var SinaAPI = plus.ios.import("WeiboSDK");
          return SinaAPI.isWeiboAppInstalled()
        default:
          break;
      }
    }
  }
}(mui, window.app = {}));