var pvDataObj = {};
var getStractData = function(pvList){
	pvDataObj.id = [];
	pvDataObj.pv = [];
	pvDataObj.total = [];
	pvDataObj.left = [];
	pvDataObj.choice = {};
	for (var i = 0; i < pvList.length; i++) {
		pvDataObj.id.push(pvList[i].id);
		pvDataObj.pv.push(pvList[i].pv);
		pvDataObj.total.push(pvList[i].count);
		pvDataObj.left.push(pvList[i].count);
	}
};

var getIndexById = function(id){
	var index = -1;
	for (var i = 0; i < pvDataObj.id.length; i++) {
		if (id == pvDataObj.id[i]) {
			index = i;
			break;
		}
	}
	return index;
}
var reportToUser = function(uinfo, list){
	// debug(list,'list');
	// debug(pvDataObj,'pvDataObj--before');
	var uid = uinfo.uid;
	var countOld = {};
	if (pvDataObj.choice[uid] && pvDataObj.choice[uid].length) {
		pvDataObj.choice[uid].forEach(function(el, idx){
			var i = getIndexById(el.id);
			if (i > -1) {
				countOld[el.id] = el.count;
			}
		});
	}
	// debug(countOld,'countOld');
	var flg = true;
	var arr = [];
	list.forEach(function(el, idx){
		list[idx].name = uinfo.name;
		list[idx].pv = el.pv;
		var i = getIndexById(el.id);
		if (i > -1) {
			var old = countOld[el.id] || 0;
			if (el.count > pvDataObj.left[i]+old) {
				alert(pvDataObj.id[i]+'剩余'+pvDataObj.left[i]+'不能增加'+el.count);
				flg = false;
			}else{
				arr.push({i: i, list: list, count: (old-el.count)})
			}
		}
	});
	// debug(arr,'arr');
	if (flg) {
		arr.forEach(function(el, idx){
			pvDataObj.choice[uid] = el.list;
			pvDataObj.left[el.i] += el.count;
		});
		console.log('修改后的'+pvDataObj.left)
	}else{
		console.log('未修改的'+pvDataObj.left)
	}
	// debug(pvDataObj,'pvDataObj--after');
};

/**
 * 此处pvList应该是后台拿到的数据
 * 请求到结果后，应立刻执行getStractData(pvList)，初始化应用需要的结构数据pvDataObj
 * 
 * reportToUser系调用补报时的方法，给相应的用户补报pv。将用户id和补报pv项的id，count以示例形式传递
 * 就可以对未补报过pv的用户新增pv，对补报过pv的用户编辑pv
 */
/*
var pvList = [
	{id: '45', pv: '222', count: 20},
	{id: '14', pv: '111', count: 30},
	{id: '36', pv: '444', count: 15},
	{id: '22', pv: '333', count: 13},
	{id: '53', pv: '555', count: 26}
];
getStractData(pvList);


reportToUser({uid: 2, name: '张学会'}, [{id: 36, count: 12, pv: 100},{id: 22, count: 12, pv: 120}]);
reportToUser({uid: 3, name: '张学灰'}, [{id: 36, count: 2, pv: 100},{id: 22, count: 2, pv: 120}]);
reportToUser({uid: 2, name: '张学会'}, [{id: 36, count: 2, pv: 100},{id: 22, count: 2, pv: 120}]);
reportToUser({uid: 3, name: '张学灰'}, [{id: 36, count: 9, pv: 100},{id: 22, count: 9, pv: 120}]);
reportToUser({uid: 2, name: '张学会'}, [{id: 36, count: 4, pv: 100},{id: 22, count: 5, pv: 120}]);
reportToUser({uid: 2, name: '张学会'}, [{id: 36, count: 4, pv: 100},{id: 22, count: 4, pv: 120}]);
reportToUser({uid: 11, name: '张学回'}, [{id: 45, count: 20, pv: 400},{id: 14, count: 30, pv: 66},{id: 36, count: 2, pv: 100},{id: 53, count: 27, pv: 88}]);
reportToUser({uid: 11, name: '张学回'}, [{id: 45, count: 20, pv: 400},{id: 14, count: 30, pv: 66},{id: 36, count: 2, pv: 100},{id: 53, count: 26, pv: 88}]);
//上面的reportToUser全部执行完，会得到以下结果的pvDataObj
{
	"id": ["45", "14", "36", "22", "53"],
	"pv": ["222", "111", "444", "333", "555"],
	"total": [20, 30, 15, 13, 26],
	"left": [0, 0, 0, 0, 0],
	"choice": {
		"2": [{
			"id": 36,
			"count": 4,
			"pv": 100,
			"name": "张学会"
		}, {
			"id": 22,
			"count": 4,
			"pv": 120,
			"name": "张学会"
		}],
		"3": [{
			"id": 36,
			"count": 9,
			"pv": 100,
			"name": "张学灰"
		}, {
			"id": 22,
			"count": 9,
			"pv": 120,
			"name": "张学灰"
		}],
		"11": [{
			"id": 45,
			"count": 20,
			"pv": 400,
			"name": "张学回"
		}, {
			"id": 14,
			"count": 30,
			"pv": 66,
			"name": "张学回"
		}, {
			"id": 36,
			"count": 2,
			"pv": 100,
			"name": "张学回"
		}, {
			"id": 53,
			"count": 26,
			"pv": 88,
			"name": "张学回"
		}]
	}
}
*/
