mui.plusReady(function () {
    var advisers = null;
    var store = null;
    var loccd = null;
    var keyword = '';
    var lat = null;
    var lng = null;
	var storeMes;
    
    var self = plus.webview.currentWebview();
    if(self.loccd){
    	loccd = self.loccd;
    }
    if(self.lat){
    	lat = self.lat;
    }
    
    if(self.lng){
    	lng = self.lng;
    }
	
	if(self.storeMes){
		storeMes = self.storeMes;
	}
    
    function requestTheAdvisers(sloccd,skeyWord,slat,slng){
    	
    	$('.adviser-list')[0].innerHTML = '';
    	
    	var method = 'storeAdviserList';
    	var param = {};
    	param.storeNum = sloccd;
    	if(skeyWord){
    		param.keyWord = skeyWord;
    	}
    	if(slat && slng){
    		param.lat = slat;
    		param.lng = slng;
    	}
    	
    	youpinRequest(method,param,function(res){
    		// mui.toast('请求成功');
    		debug(res);
    		advisers = res.advisers;
    		store = res.store;
    		showStoreMes(store);
    		if(advisers.length){
    			showAdviserList(advisers);
    		}else{
    			mui.toast('没有符合条件的顾问');
    		}
    	},function(fail){
    		mui.toast(fail);
    	},function(timeout){
    		mui.toast(timeout);
    	});
    	
    }
    
    function showAdviserList(list){
    	
    	for (var i = 0; i < list.length; i++) {
    		var adviser = list[i];
    		
    		var itemDiv = document.createElement('div');
    		itemDiv.classList.add('adviser-list-item');
    		$('.adviser-list')[0].appendChild(itemDiv);
    		var adviserID = adviser.ID;
    		itemDiv.setAttribute('adviserID',adviserID);
    		
    		var avaImg = document.createElement('img');
			avaImg.classList.add('avator');
    		avaImg.setAttribute('src',adviser.avator);
    		itemDiv.appendChild(avaImg);
    		
    		var desDiv = document.createElement('div');
    		desDiv.classList.add('adviser-list-item-desc');
    		itemDiv.appendChild(desDiv);
    		
    		var divEle = document.createElement('div');
    		divEle.classList.add('adviser-des');
    		desDiv.appendChild(divEle);
    		
    		var nameSpan = document.createElement('span');
    		nameSpan.id = 'name';
			if(adviser.name && adviser.name.length){
				nameSpan.innerHTML = adviser.name;
			}
    		divEle.appendChild(nameSpan);
			
			var sexSpan = document.createElement('img');
    		sexSpan.id = 'sex';
			if(adviser.sex == '男'){
				sexSpan.setAttribute('src','../images/youpin/adviser/male.png')
			}else if(adviser.sex == '女'){
				sexSpan.setAttribute('src','../images/youpin/adviser/female.png')
			}
    		// sexSpan.innerHTML = adviser.sex;
    		divEle.appendChild(sexSpan);
			
			var countDiv = document.createElement('span');
			countDiv.classList.add('service-count');
			countDiv.innerHTML = '已接'+adviser.serviceCount+'单';
			divEle.appendChild(countDiv);
			
			// var countSpan = document.createElement('span');
			// countSpan.id = 'count';
			// countSpan.innerHTML = adviser.serviceCount;
			// countDiv.appendChild(countSpan);
			// countDiv.innerHTML += '单';
			
			var authsDiv = document.createElement('div');
			authsDiv.id = 'auths';
			desDiv.appendChild(authsDiv);
			
			var auths = adviser.authentications;
			// auths = ['实名认证','健康管理服务专项技能培训','体质养生师'];
			if(auths && auths.length){
				for(j = 0;j<auths.length;j++){
					var auth = auths[j];
					if(auth.length){
						var authSpan = document.createElement('span');
						authSpan.classList.add('auth');
						authSpan.innerHTML = auth;
						authsDiv.appendChild(authSpan);
					}
				}
			}
    		
    		var serviceDiv = document.createElement('div');
    		serviceDiv.id = 'services';
    		serviceDiv.innerHTML = '擅长:'+adviser.services;
    		desDiv.appendChild(serviceDiv);
			
			if(adviser.closestTime){
				var timeDiv = document.createElement('div');
				timeDiv.classList.add('timeDiv');
				desDiv.appendChild(timeDiv);
				
				var timeDesDiv = document.createElement('div');
				timeDesDiv.classList.add('timeDes');
				timeDiv.appendChild(timeDesDiv);
				
				var clockImg = document.createElement('img');
				clockImg.id = 'clock';
				clockImg.setAttribute('src','../images/youpin/adviser/clock.png');
				timeDesDiv.appendChild(clockImg);
				
				var timeDesSpan = document.createElement('span');
				timeDesSpan.id = 'timeDes';
				timeDesSpan.innerHTML = '最近可约:';
				timeDesDiv.appendChild(timeDesSpan);
				
				var timeSpan = document.createElement('span')
				timeSpan.id = 'time';
				timeSpan.innerHTML = adviser.closestTime;
				timeDiv.appendChild(timeSpan);
			}
		}
    	
    }
    
    function showStoreMes(storeMes){
    	$('.store-name')[0].innerHTML = storeMes.storeName;
    	// $('.service-time')[0].innerHTML = '服务时间：'+storeMes.serviceTime;
    }
    
    function searchTheAdviser(){
    	debug('searchTheAdviser');
    	var value = $('#adviser-input')[0].value;
    	debug(value);
    	requestTheAdvisers(loccd,value,lat,lng);
    }
    
    $('#search-btn')[0].addEventListener('tap',searchTheAdviser);
    
    requestTheAdvisers(loccd,keyword,lat,lng);
	
	mui('.mui-content').on('tap','.adviser-list-item',function(){
		var item = this;
		var adviserID = item.getAttribute('adviserID');
		debug(adviserID,adviserID);
		var param = {'adviserID':adviserID,'loccd':loccd};
		if(lat && lng){
			param.lat = lat;
			param.lng = lng;
		}
		if(storeMes){
			param.storeMes = storeMes;
		}
		
		clicked('adviser-detail.html','adviser-detail',param);
	});
})

