mui.plusReady(function() {
	var type;
	var cardlist;
	var selectedcard;
	var choseId = 'card-all';

	var self = plus.webview.currentWebview();
	debug(self.type);
	if (self.type) {
		type = self.type;
		if (type == 'cardbox') {
			$('.page-content')[0].style.bottom = '44px';
			$('.bottom-buttons')[0].classList.remove('hide');
		}
	}


	// 网络请求
	function requestTheCardListWithType(type) {
		var param = {};
		if (type) {
			param.type = type;
		}
		// plus.nativeUI.showWaiting();
		youpinRequest('getAllCardGZ', param, function(res) {
			// mui.toast('请求成功');
			$('.mui-table-view')[0].innerHTML = '';
			showCardList(res, type);
			cardlist = res;
			debug(cardlist);
			plus.nativeUI.closeWaiting();
		}, function(fail) {
			mui.toast(fail);
			plus.nativeUI.closeWaiting();
		}, function(timeout) {
			mui.toast(timeout);
			plus.nativeUI.closeWaiting();
		});
	};
	// 显示列表
	function showCardList(cardArray, type) {

		var totalcount = 0;
		var normalcount = 0;
		var vipcount = 0;

		for (var i = 0; i < cardArray.length; i++) {

			var item = cardArray[i];
			var period = item.period;
			debug(period);
			var cardList = item.cardList;
			var periodEle = createPeriodDiv(period);
			
			if(i ==0){
				
				var spanEle = document.createElement('span');
				spanEle.classList.add('card-des');
				
				var iconEle = document.createElement('span');
				iconEle.classList.add('card-des-icon','mui-icon','mui-icon-info');
				
				var timeDiv = periodEle.firstChild;
				
				if(choseId == 'card-normal'){
					spanEle.innerHTML = '体验卡说明';
					iconEle.classList.add('icon-normal');
					timeDiv.appendChild(iconEle);
					timeDiv.appendChild(spanEle);
				}else if(choseId == 'card-vip'){
					spanEle.innerHTML = '尊享卡说明';
					iconEle.classList.add('icon-vip');
					timeDiv.appendChild(iconEle);
					timeDiv.appendChild(spanEle);
				}
			}
			
			$('.mui-table-view')[0].appendChild(periodEle);

			for (var j = 0; j < cardList.length; j++) {

				var cardItem = cardList[j];

				if (cardItem.type == '1') {

					var cardEle = createNormalDiv(cardItem);
					periodEle.appendChild(cardEle);

					normalcount += cardItem.count;

				} else if (cardItem.type == '2') {

					var cardEle = createVipDiv(cardItem);
					periodEle.appendChild(cardEle);

					vipcount += cardItem.count;

				}
			}
		}
		totalcount = normalcount + vipcount;
		console.log(totalcount, normalcount, vipcount);
		if (!type) {
			$('#card-all-count')[0].innerHTML = '(' + totalcount + ')';
			$('#card-normal-count')[0].innerHTML = '(' + normalcount + ')';
			$('#card-vip-count')[0].innerHTML = '(' + vipcount + ')';
		}



		// $('div').find('#card-all')[0].innerHTML = totalcount;
	};
	// 创建周期div
	function createPeriodDiv(period) {

		var liEle = document.createElement('li');
		liEle.classList.add('mui-table-view-cell');

		var timeDivEle = document.createElement('div');
		timeDivEle.classList.add('time-div');
		liEle.appendChild(timeDivEle);

		var imgEle = document.createElement('img');
		imgEle.setAttribute('src', '../images/cardbox/circle.png');
		timeDivEle.appendChild(imgEle);

		var cardTimeEle = document.createElement('div');
		cardTimeEle.classList.add('card-enter-time');
		cardTimeEle.innerHTML = period;
		timeDivEle.appendChild(cardTimeEle);

		return liEle;
	};
	// 创建体验卡Div
	function createNormalDiv(cardItem) {

		var contentDivEle = document.createElement('div');
		contentDivEle.classList.add('content-div', 'content-div-normal');
		contentDivEle.addEventListener('tap', chooseTheCard);
		contentDivEle.setAttribute('value', cardItem.cardNum);
		contentDivEle.setAttribute('card_id', cardItem.card_id);
		contentDivEle.setAttribute('type', cardItem.type);

		var lineDivEle = document.createElement('div');
		lineDivEle.classList.add('line-div');
		contentDivEle.appendChild(lineDivEle);

		var cardNormalDiv = document.createElement('div');
		cardNormalDiv.classList.add('card-normal');
		contentDivEle.appendChild(cardNormalDiv);

		var cardNumDiv = document.createElement('div');
		cardNumDiv.classList.add('card-num');
		cardNumDiv.innerHTML = cardItem.count + '张';
		cardNormalDiv.appendChild(cardNumDiv);

		var cardNormalContentDiv = document.createElement('div');
		cardNormalContentDiv.classList.add('card-normal-content');
		cardNormalDiv.appendChild(cardNormalContentDiv);

		var cardNormalContentLeftDiv = document.createElement('div');
		cardNormalContentLeftDiv.classList.add('card-normal-content-left');
		cardNormalContentDiv.appendChild(cardNormalContentLeftDiv);

		var cardNormalContentLeftNameDiv = document.createElement('div');
		cardNormalContentLeftNameDiv.classList.add('card-normal-content-left-name');
		cardNormalContentLeftNameDiv.innerHTML = cardItem.type_name;
		cardNormalContentLeftDiv.appendChild(cardNormalContentLeftNameDiv);

		// var cardNormalContentLeftNumDiv = document.createElement('div');
		// cardNormalContentLeftNumDiv.classList.add('card-normal-content-left-nums');
		// cardNormalContentLeftNumDiv.innerHTML = '已使用' + cardItem.used_num + ' ' + '总发放量' + cardItem.count;
		// cardNormalContentLeftDiv.appendChild(cardNormalContentLeftNumDiv);

		var cardNormalContentLeftTimeDiv = document.createElement('div');
		cardNormalContentLeftTimeDiv.classList.add('card-normal-content-left-time');
		cardNormalContentLeftTimeDiv.innerHTML = cardItem.startTime + '-' + cardItem.endTime;
		cardNormalContentLeftDiv.appendChild(cardNormalContentLeftTimeDiv);

		var cardNormalContentRightDiv = document.createElement('div');
		cardNormalContentRightDiv.classList.add('card-normal-content-right');
		cardNormalContentDiv.appendChild(cardNormalContentRightDiv);

		var cardNormalContentRightCountDiv = document.createElement('div');
		cardNormalContentRightCountDiv.classList.add('card-normal-content-right-count');
		cardNormalContentRightCountDiv.innerHTML = '1';
		cardNormalContentRightDiv.appendChild(cardNormalContentRightCountDiv);

		var cardNormalContentRightCountdespDiv = document.createElement('div');
		cardNormalContentRightCountdespDiv.classList.add('card-normal-content-right-countdesp');
		cardNormalContentRightCountdespDiv.innerHTML = '可用次数';
		cardNormalContentRightDiv.appendChild(cardNormalContentRightCountdespDiv);

		var cardNormalContentuttonrowDiv = document.createElement('div');
		cardNormalContentuttonrowDiv.classList.add('card-normal-contet-buttonrow');
		cardNormalDiv.appendChild(cardNormalContentuttonrowDiv);

		var cardNormalContentuttonrowDesDiv = document.createElement('div');
		cardNormalContentuttonrowDesDiv.classList.add('card-normal-contet-buttonrow-desc');
		cardNormalContentuttonrowDiv.appendChild(cardNormalContentuttonrowDesDiv);

		var cardNormalContentuttonrowTitleDiv = document.createElement('div');
		cardNormalContentuttonrowTitleDiv.classList.add('card-normal-contet-buttonrow-title');
		cardNormalContentuttonrowTitleDiv.innerHTML = '使用说明';
		cardNormalContentuttonrowDesDiv.appendChild(cardNormalContentuttonrowTitleDiv);

		var arrowImg = document.createElement('img');
		arrowImg.classList.add('mui-icon-arrowdown');
		arrowImg.setAttribute('src', '../images/cardbox/arrow-down-blue.png');
		arrowImg.addEventListener('tap', showTheDescription);
		cardNormalContentuttonrowDesDiv.appendChild(arrowImg);

		var cardNormalContentButtonRowButtonDiv = document.createElement('div');
		cardNormalContentButtonRowButtonDiv.classList.add('card-normal-contet-buttonrow-button');
		cardNormalContentuttonrowDiv.appendChild(cardNormalContentButtonRowButtonDiv);

		var useButton = document.createElement('button');
		useButton.classList.add('mui-btn');
		useButton.setAttribute('type', 'button');
		useButton.innerHTML = '去使用';
		useButton.setAttribute('value', cardItem.cardNum);
		useButton.addEventListener('tap', showQcode);
		if (type == 'cardbox') {
			cardNormalContentButtonRowButtonDiv.appendChild(useButton);
		}

		var cardNormalContetDescrowDiv = document.createElement('div');
		cardNormalContetDescrowDiv.classList.add('card-normal-contet-descrow', 'hide');
		contentDivEle.appendChild(cardNormalContetDescrowDiv);

		var div1 = document.createElement('div');
		div1.innerHTML = cardItem.description;
		cardNormalContetDescrowDiv.appendChild(div1);

		var div2 = document.createElement('div');
		div2.innerHTML = '发放时间:' + cardItem.releaseTime;
		cardNormalContetDescrowDiv.appendChild(div2);

		var div3 = document.createElement('div');
		div3.innerHTML = '发放周期:' + cardItem.releasePeriod;
		cardNormalContetDescrowDiv.appendChild(div3);

		var div4 = document.createElement('div');
		div4.innerHTML = '有效周期:' + cardItem.startTime + '-' + cardItem.endTime + ' ' + '有效期' + cardItem
			.validDays + '天';
		cardNormalContetDescrowDiv.appendChild(div4);

		return contentDivEle;

	};

	function createVipDiv(cardItem) {
		var contentDiv = document.createElement('div');
		contentDiv.classList.add('content-div', 'content-div-vip');
		contentDiv.addEventListener('tap', chooseTheCard);
		contentDiv.setAttribute('value', cardItem.cardNum);
		contentDiv.setAttribute('card_id', cardItem.card_id);
		contentDiv.setAttribute('type', cardItem.type);

		var lineDiv = document.createElement('div');
		lineDiv.classList.add('line-div');
		contentDiv.appendChild(lineDiv);

		var cardVipDiv = document.createElement('div');
		cardVipDiv.classList.add('card-vip');
		contentDiv.appendChild(cardVipDiv);

		var cardVipContentDiv = document.createElement('div');
		cardVipContentDiv.classList.add('card-vip-content');
		cardVipDiv.appendChild(cardVipContentDiv);

		var cardVipContentLeftDiv = document.createElement('div');
		cardVipContentLeftDiv.classList.add('card-vip-content-left');
		cardVipContentDiv.appendChild(cardVipContentLeftDiv);

		var cardVipContentLeftNameDiv = document.createElement('div');
		cardVipContentLeftNameDiv.classList.add('card-vip-content-left-name');
		cardVipContentLeftNameDiv.innerHTML = cardItem.type_name;
		cardVipContentLeftDiv.appendChild(cardVipContentLeftNameDiv);

		if (cardItem.store) {
			var cardVipContentLeftStoreDiv = document.createElement('div');
			cardVipContentLeftStoreDiv.classList.add('vip-store');
			cardVipContentLeftStoreDiv.innerHTML = cardItem.store;
			cardVipContentLeftDiv.appendChild(cardVipContentLeftStoreDiv);
		}

		var cardVipContentLeftTimeDiv = document.createElement('div');
		cardVipContentLeftTimeDiv.classList.add('card-vip-content-left-time');
		cardVipContentLeftTimeDiv.innerHTML = cardItem.startTime + '-' + cardItem.endTime;
		cardVipContentLeftDiv.appendChild(cardVipContentLeftTimeDiv);

		var cardVipContentRightDiv = document.createElement('div');
		cardVipContentRightDiv.classList.add('card-vip-content-right');
		cardVipContentDiv.appendChild(cardVipContentRightDiv);

		var cardVipContentRightCountDiv = document.createElement('div');
		cardVipContentRightCountDiv.classList.add('card-vip-content-right-count');
		cardVipContentRightCountDiv.innerHTML = cardItem.count;
		cardVipContentRightDiv.appendChild(cardVipContentRightCountDiv);

		var cardVipContentRightCountDesDiv = document.createElement('div');
		cardVipContentRightCountDesDiv.classList.add('card-vip-content-right-countdesp');
		cardVipContentRightCountDesDiv.innerHTML = '可用次数';
		cardVipContentRightDiv.appendChild(cardVipContentRightCountDesDiv);

		var cardVipContentButtonRowDiv = document.createElement('div');
		cardVipContentButtonRowDiv.classList.add('card-vip-contet-buttonrow');
		cardVipDiv.appendChild(cardVipContentButtonRowDiv);

		var cardVipContentButtonRowDescDiv = document.createElement('div');
		cardVipContentButtonRowDescDiv.classList.add('card-vip-contet-buttonrow-desc');
		cardVipContentButtonRowDiv.appendChild(cardVipContentButtonRowDescDiv);

		var cardVipContentButtonRowTitleDiv = document.createElement('div');
		cardVipContentButtonRowTitleDiv.classList.add('card-vip-contet-buttonrow-title');
		cardVipContentButtonRowTitleDiv.innerHTML = '使用说明';
		cardVipContentButtonRowDescDiv.appendChild(cardVipContentButtonRowTitleDiv);

		var arrowImg = document.createElement('img');
		arrowImg.classList.add('mui-icon-arrowdown');
		arrowImg.setAttribute('src', '../images/cardbox/arrow-down.png');
		arrowImg.addEventListener('tap', showTheDescription);
		cardVipContentButtonRowDescDiv.appendChild(arrowImg);

		var cardVipContentButtonRowButtonDiv = document.createElement('div');
		cardVipContentButtonRowButtonDiv.classList.add('card-vip-content-buttonrow-button');
		cardVipContentButtonRowDiv.appendChild(cardVipContentButtonRowButtonDiv);

		var buttonEle = document.createElement('button');
		buttonEle.classList.add('mui-btn');
		buttonEle.setAttribute('type', 'button');
		buttonEle.setAttribute('value', cardItem.cardNum);
		buttonEle.addEventListener('tap', showQcode);
		buttonEle.innerHTML = '去使用';
		if (type == 'cardbox') {
			cardVipContentButtonRowButtonDiv.appendChild(buttonEle);
		}

		var cardVipContetDescrRwDiv = document.createElement('div');
		cardVipContetDescrRwDiv.classList.add('card-vip-contet-descrow', 'hide');
		contentDiv.appendChild(cardVipContetDescrRwDiv);

		var div1 = document.createElement('div');
		div1.innerHTML = cardItem.description;
		cardVipContetDescrRwDiv.appendChild(div1);

		var div2 = document.createElement('div');
		div2.innerHTML = '发放时间:' + cardItem.releaseTime;
		cardVipContetDescrRwDiv.appendChild(div2);

		var div3 = document.createElement('div');
		div3.innerHTML = '发放周期:' + cardItem.releasePeriod;
		cardVipContetDescrRwDiv.appendChild(div3);

		var div4 = document.createElement('div');
		div4.innerHTML = '激活时间:' + cardItem.activateTime;
		cardVipContetDescrRwDiv.appendChild(div4);

		var div5 = document.createElement('div');
		div5.innerHTML = '有效周期:' + cardItem.startTime + '-' + cardItem.endTime + ' ' + '有效期' + cardItem
			.validDays + '天';
		cardVipContetDescrRwDiv.appendChild(div5);
		return contentDiv;
	}
	// 切换分组
	mui('.mui-segmented-control').on('tap', '.mui-control-item', function() {
		choseId = this.getAttribute("id");
		choseTheSection(choseId);
	});
	
	var choseTheSection = function(sectionid) {
		$('li').find('.card-vip-contet-descrow').addClass('hide');
		$('li').find('.card-normal-contet-descrow').addClass('hide');
		$('li').find('.mui-icon-arrowup').addClass('mui-icon-arrowdown');
		$('li').find('.mui-icon-arrowup').removeClass('mui-icon-arrowup');
		mui('.page-content').scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
		if (sectionid == 'card-all') {
			debug('show card-all');
			requestTheCardListWithType();
			$('ul').find('li.card-vip').removeClass('hide');
			$('ul').find('li.card-normal').removeClass('hide');
		} else if (sectionid == 'card-normal') {
			debug('show card-normal');
			requestTheCardListWithType('1');
			$('ul').find('li.card-normal').removeClass('hide');
			$('ul').find('li.card-vip').addClass('hide');
		} else if (sectionid == 'card-vip') {
			debug('show card-vip');
			requestTheCardListWithType('2');
			$('ul').find('li.card-normal').addClass('hide');
			$('ul').find('li.card-vip').removeClass('hide');
		}
	}

	// 二维码及蒙层
	var qcodeImg = document.getElementById("qcode-img");
	var qrcode = new QRCode(qcodeImg, {
		text: '0010010001',
		width: 260,
		height: 260
	});

	function closeTheMask() {
		var qcodeDiv = $('.qcode')[0];
		if (!qcodeDiv.classList.contains('hide')) {
			qcodeDiv.classList.add('hide');
		}
	}

	var mask = mui.createMask(closeTheMask); //callback为用户点击蒙版时自动执行的回调；

	mui('.mui-content').on('tap', '.qcode', function() {
		closeTheMask();
		mask.close();
	});

	// 查看使用说明
	function showTheDescription(event) {

		event.stopPropagation();

		var liEle = $(this).parents('.content-div');

		if (liEle[0].classList.contains('content-div-normal')) {

			var desEle = liEle.find('.card-normal-contet-descrow')[0];
			if (desEle.classList.contains('hide')) {
				desEle.classList.remove('hide');
				$(this).removeClass('mui-icon-arrowdown');
				$(this).addClass('mui-icon-arrowup');
				$(this)[0].setAttribute('src', '../images/cardbox/arrow-up-blue.png');
			} else {

				desEle.classList.add('hide');
				$(this).removeClass('mui-icon-arrowup');
				$(this).addClass('mui-icon-arrowdown');
				$(this)[0].setAttribute('src', '../images/cardbox/arrow-down-blue.png');

			}

		} else {

			var desEle = liEle.find('.card-vip-contet-descrow')[0];
			debug(desEle.classList);
			if (desEle.classList.contains('hide')) {

				desEle.classList.remove('hide');
				$(this).removeClass('mui-icon-arrowdown');
				$(this).addClass('mui-icon-arrowup');
				$(this)[0].setAttribute('src', '../images/cardbox/arrow-up.png');

			} else {

				desEle.classList.add('hide');
				$(this).removeClass('mui-icon-arrowup');
				$(this).addClass('mui-icon-arrowdown');
				$(this)[0].setAttribute('src', '../images/cardbox/arrow-down.png');

			}

		}
	}

	// 去使用
	function showQcode() {


		var page = mui.preload({
			id: 'store_index',
			url: '/youpin/store.html',
			show: {
				autoShow: true, //页面loaded事件发生后自动显示，默认为true
				aniShow: 'fade-in', //页面显示动画，默认为”slide-in-right“；
				duration: '100' //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
			}
		});
		var store_index = plus.webview.getWebviewById('store_index');
		debug(store_index, 'store_index');
		if (store_index) {
			mui.fire(store_index, 'setTag');
			store_index.show();
		} else {
			clicked('/youpin/store.html', 'store_index');
		}

		return;

		// debug('button click');
		// var cardId = this.value;
		// mask.show(); //显示遮罩
		// qrcode.clear();
		// qrcode.makeCode(cardId);
		// debug(cardId);
		// document.getElementById('card-id').innerText = cardId;
		// var qcodeDiv = $('.qcode')[0];
		// debug(qcodeDiv.classList);
		// if (qcodeDiv.classList.contains('hide')) {
		// 	qcodeDiv.classList.remove('hide');

		// }

	}

	// 已使用
	mui('.bottom-buttons').on('tap', '.button-used', function() {
		clicked('cardusedandexpiredlist.html', 'cardusedlist', {
			section: 'card-used'
		});
	})
	// 已过期
	mui('.bottom-buttons').on('tap', '.button-expired', function() {
		// debug('button-expired');
		clicked("cardusedandexpiredlist.html", 'cardexpiredlist', {
			section: 'card-expired'
		});
	})

	function chooseTheCard() {
		if (type == 'cardbox') {
			return;
		}
		debug('choose this');
		var item = this;
		var cardType;
		var cardNum = item.getAttribute('value');
		var cardID = item.getAttribute('card_id');
		var type = item.getAttribute('type');
		debug(item.classList);
		if (item.classList.contains('content-div-vip')) {
			cardType = '尊享卡';
		} else if (item.classList.contains('content-div-normal')) {
			cardType = '体验卡';
		}
		var webView = plus.webview.getWebviewById('service-make-order');
		if (webView) {
			mui.fire(webView, 'refreshTheCard', {
				'cardType': cardType,
				'cardNum': cardNum,
				'cardID': cardID,
				'type': type
			});
			mui.back();
		}

	}

	// 默认显示全部
	choseTheSection('card-all');
	
	mui('.mui-content').on('tap','.icon-normal',function(){
		debug('icon-normal onclick');
		clicked('cardDesNormal.html','cardDesNormal');
	});
	
	mui('.mui-content').on('tap','.icon-vip',function(){
		debug('icon-vip onclick');
		clicked('cardDesVip.html','cardDesVip');
	});

})
