var userInfo = null;
var customer = {};
var interVal;
var count = 60;

function daoshu(){
	if(count>0){
		count --;
		$('.code-btn')[0].innerHTML = count+'秒';
	}else{
		clearInterval(interVal);
		$('.code-btn')[0].disabled = false;
		$('.code-btn')[0].innerHTML = '获取验证码';
	}
}

function phoneInputOninput(){
	
	var phone = $('.phone-input')[0].value;
	
	if(phone.length !=11){
		
		userInfo = null;
		$('.name-input')[0].value = '';
		$('.name-input')[0].disabled = false;
		document.getElementById('male').disabled = false;
		document.getElementById('female').disabled = false;
		if(!$('.code-div')[0].classList.contains('hide')){
			$('.code-div')[0].classList.add('hide');
		}
		
	}else{
		
		var method = 'userInfo';
		var param = {};
		param.phone = phone;
		
		youpinRequest(method,param,function(res){
			debug(res);
			if(res.user_card){
				
				// mui.toast('请求成功');
				userInfo = res;
				// userInfo.user_name = null;
				// userInfo.sex_name = null;
				if(userInfo.user_name){
					$('.name-input')[0].value = userInfo.user_name;
					$('.name-input')[0].disabled = true;
				}	
				if(userInfo.sex_name){
					document.getElementById('male').disabled = true;
					document.getElementById('female').disabled = true;
					if(userInfo.sex_name == '女'){
						$('.female')[0].checked = true;
					}else if(userInfo.sex_name == '男'){
						$('.male')[0].checked = true;
					}
				}else{
					$('.female')[0].checked = false;
					$('.male')[0].checked = false;
				}
				
				if(!$('.code-div')[0].classList.contains('hide')){
					$('.code-div')[0].classList.add('hide');
				}
					
			}else{
				mui.toast('系统中无此用户，请添加');
				$('.code-div')[0].classList.remove('hide');
			}
				
		},function(fail){
			mui.toast(fail);
		},function(timeout){
			mui.toast(timeout);
		});
		
	}
}

function sendVcode(){
	var method = 'sendCode';
	var phone = $('.phone-input')[0].value;
	if(!phone || phone.length!=11){
		mui.toast('请输入正确的手机号码');
		return;
	}
	$('.code-btn')[0].disabled = true;
	count = 60;
	interVal = setInterval(daoshu,1000);
	
	plus.nativeUI.showWaiting();
	var param = {'phone':phone};
	youpinRequest(method,param,function(res){
		plus.nativeUI.closeWaiting();
		mui.toast('发送成功');
	},function(fail){
		plus.nativeUI.closeWaiting();
		mui.toast(fail);
	},function(timeout){
		plus.nativeUI.closeWaiting();
		mui.toast(timeout);
	});
}

mui('.mui-content').on('tap','.code-btn',function(){
	sendVcode();
});

mui('.mui-content').on('tap','#confirm',function(){
	
	var method = 'addCustomer';
	var param;
	
	if(userInfo){
		
		param = {'user_card':userInfo.user_card,"cust_type":"2"};
		if(!userInfo.user_name){
			var name = $('.name-input')[0].value;
			if(!name){
				mui.toast('请填写姓名');
				return;
			}else{
				param.user_name = name;
			}
			
		}
		if(!userInfo.sex_name){
			var sex = null;
			if($('.female')[0].checked){
				sex = 0;
			}else if($('.male')[0].checked){
				sex = 1;
			}
			if(!sex && sex!=0){
				mui.toast('请选择性别');
				return;
			}
			param.sex = sex;
		}
		
	}else{
		
		var phone = $('.phone-input')[0].value;
		if(!phone || phone.length!=11){
			mui.toast('请输入正确的手机号码');
			return;
		}
		var sex = '';
		var male = $('.male')[0].checked;
		var female = $('.female')[0].checked;
		if(male){
			sex = 1;
		}else if(female){
			sex = 0;
		}else{
			mui.toast('请选择性别');
			return;
		}
		
		var name = $('.name-input')[0].value;
		var reg =  /^([a-zA-Z0-9\u4e00-\u9fa5\·]{1,10})$/;
		if(!name){
			mui.toast('请输入姓名');
			return;
		}
		if(!reg.test(name)){
			mui.toast('请输入正确格式的姓名');
			return;
		}
		var vcode = $('.code-input')[0].value;
		if(!vcode || vcode.length!=4){
			mui.toast('请输入正确的验证码');
			return;
		}
		param = {"phone": phone,
			"sex": sex,
			"user_name": name,
			"vcode": vcode,
			"cust_type":"2"
			};
	}
	
	youpinRequest(method,param,function(res){
		debug(res);
		if(res.is_ok == '1'){
			mui.toast(res.msg);
			if(res.customer.cust_tel){
				customer.cust_tel = res.customer.cust_tel;
			}
			if(res.customer.head_img){
				customer.head_img = res.customer.head_img;
			}
			if(res.customer.cust_name){
				customer.name = res.customer.cust_name;
			}
			customer.self = '0';
			if(res.customer.cust_mcode == res.customer.mcode){
				customer.self = '1';
			}
			if(res.customer.id){
				customer.id = res.customer.id;
			}
			if(res.customer.cust_mcode){
				customer.cust_mcode = res.customer.cust_mcode;
			}
			customer.sex = res.customer.cust_sex;
			if(customer.sex == 1){
				customer.sex_name = '男';
			}else if(customer.sex == 0){
				customer.sex_name = '女';
			}
			// service-make-order
			var makeOrderView = plus.webview.getWebviewById('service-make-order');
			if(makeOrderView){
				mui.fire(makeOrderView,'refreshTheCustomer',customer);
			}
			// customer-list
			var listView = plus.webview.getWebviewById('customer-list');
			if(listView){
				plus.webview.close(listView);
			}
			mui.back();
		}else{
			mui.toast(res.msg);
		}
	},function(fail){
		mui.toast(fail);
	},function(timeout){
		mui.toast(timeout);
	});
	
});