mui.plusReady(function () {
    var recordID;
    var orderNum;
    var recordDetail;
    
    var self = plus.webview.currentWebview();
    if(self.recordID){
    	recordID = self.recordID;
    	requestTheRecordDetail('1',recordID);
    }else if(self.orderNum){
    	orderNum = self.orderNum;
    	requestTheRecordDetail('0',orderNum);
    }
    
    
    function requestTheRecordDetail(type,key){
    	// type：
    		// 0：订单号；
    		// 1：服务记录ID。
    	var method = 'getServiceRecord';
    	var param = {};
    	if(type == '0'){
    		param.appoint_no = key;
    	}else if(type == '1'){
    		param.record_id = key;
    	}
    	youpinRequest(method,param,function(res){
    		// mui.toast('请求成功');
    		debug(res);
    		recordDetail = res;
    		showTheRecordDetail(recordDetail);
    	},function(fail){
    		mui.toast(fail);
    	},function(timeout){
    		mui.toast(timeout);
    	});
    }
    
    function showTheRecordDetail(detail){
    	
    	$('#appoint_no')[0].innerHTML = detail.appoint_no;
    	// $('#mobile')[0].innerHTML = detail.mobile;
    	$('#cons_name')[0].innerHTML = detail.cons_name;
    	$('#create_time')[0].innerHTML = detail.create_time;
    	$('#service_subclass')[0].innerHTML = detail.service_subclass;
    	$('#duration')[0].innerHTML = detail.duration+'分钟';
    	$('#material')[0].innerHTML = detail.material;
    	$('#service_detail')[0].innerHTML = detail.service_detail;
    	$('#service_effect')[0].innerHTML = detail.service_effect;
    	
    	var itmnmList = detail.itmnmList;
    	var productArray = itmnmList.split(',');
    	debug(productArray,'productArray');
    	if(productArray.length){
    		for (var i = 0; i < productArray.length; i++) {
    			var productItem = productArray[i];
    			
    			var productDiv = document.createElement('div');
    			productDiv.classList.add('product-item');
    			productDiv.innerHTML = productItem;
    			$('.product-div')[0].appendChild(productDiv);
    		}
    	}
    }
})
