
mui.plusReady(function () {
    var lng = null;
    var lat = null;
    var name = null;
    var address = null;
	var city = null;
    var ownstore;
    var nearstorelist;
    var type;
    // store-从门店首页来
    // map-从地图选择页面来
    var self = plus.webview.currentWebview();
    debug(self);
    
    var refreshThePosition = function() {
    	plus.geolocation.getCurrentPosition(function(p) {
			debug(p.coords.latitude,p.coords.longitude);
			debug(p.address);
			debug(p.addresses);
			if (p && p.address.city) {
				document.getElementById('city').innerHTML = p.address.city;
				name = p.addresses;
				address = p.address.city+p.address.district+p.addresses;
				$('.position').find("#name")[0].innerHTML = name;
				$('.position').find("#address")[0].innerHTML = address;
			}
			lat = p.coords.latitude;
			lng = p.coords.longitude;
			city = p.address.city;
			getTheStoreList(lat,lng ,city);
		}, function(e) {
			mui.confirm('获取当前位置失败，再次尝试？\n请确认同意国珍在线App使用定位功能', '国珍在线', ['确定', '取消'], function(event) {
				if (event.index == 0) {
					refreshThePosition();
				}
			})
		},{provider:'baidu'});
	};
    
    if (self.lng) {
    	lng = self.lng;
    }
    
    if (self.lat) {
    	lat = self.lat;
    }
    
    if (self.name) {
    	name = self.name;
    }
    
    if (self.address) {
    	address = self.address;
    }
    
    if(self.type){
    	type = self.type;
    	// store-从门店首页来
    	// map-从地图选择页面来
    	if(type == 'map'){
    		// $('#city')[0].classList.add('hide');
    		// $('#city-choose')[0].classList.add('hide');
			$('.position-search')[0].classList.add('hide');
			
    	}
    }
	
	if(self.city){
		city = self.city;
		document.getElementById('city').innerHTML = self.city;
	}
    
    if (lat && lng && name && address && city) {
    	if (name.length > 15) {
    		name = name.substr(0, 15);
    	}
    	$('.position').find("#name")[0].innerHTML = name;
    	$('.position').find("#address")[0].innerHTML = address;
    	getTheStoreList(lat,lng,city);
    } else {
    	refreshThePosition();
    }
    
    mui('.mui-content').on('tap', '.position-content-right', function() {
    	debug('hello');
    	refreshThePosition();
    });
    
    document.getElementById('city').addEventListener('tap', function() {
    	clicked('indexed-list.html', 'city-choose',{city:self.city});
    });
    
    document.addEventListener('refreshTheCity', function(event) {
    	var city = event.detail.city;
    	document.getElementById('city').innerHTML = city;
		// searchTheStoreWithCityAndName(city,'');
		getTheStoreList(null,null,city);
    })
    
    
    function getTheStoreList(slat,slng,cityName){
    	var method = 'nearbyStore';
    	var param = {};
    	if(slat){
    		param.y = slat;
    	}
    	if(slng){
    		param.x = slng;
    	}
		if(cityName){
			param.city_name = cityName;
		}
		
		var state = app.getState();
		debug(state,'state');
		
		
		if(state && state.loccd){
			param.loccd = state.loccd;
		}

		youpinRequest(method,param,function(res){
    		// mui.toast('请求成功');
    		if(res.own){
    			ownstore = res.own;
    			showOwnStore(ownstore);
    		}
    		if(res.near){
    			nearstorelist = res.near;
    			showNearStoreList(nearstorelist);
    		}
    	},function(fail){
    		mui.toast(fail);
    	},function(timeout){
    		mui.toast(timeout);
    	});
    }
    
    function chooseTheStore(){
    	debug('chooseTheStore');
    	var storeDiv = this;
    	var loccd = storeDiv.getAttribute('value');
    	debug(loccd,'loccd');
    	var storeView = plus.webview.getWebviewById('store_index');
    	if(storeView){
    		if(type == 'map'){
    			var mapView = plus.webview.getWebviewById('store-mapchoose');
    			if(mapView){
    				mapView.close();
    			}
    			mui.fire(storeView,'refreshTheStore',{'loccd':loccd});
    			mui.back();
    		}else if('store'){
    			mui.fire(storeView,'refreshTheStore',{'loccd':loccd});
    			mui.back();
    		}
    	}
    }
    
    function showNearStoreList(list){
    	$('.store-list')[0].innerHTML = '';
    	var titleEle = document.createElement('div');
    	titleEle.classList.add('store-list-title');
    	titleEle.innerHTML = '附近门店';
    	$('.store-list')[0].appendChild(titleEle);
    	
    	for (var i = 0; i < list.length; i++) {
    		var storeItem = list[i];
    		
    		var listItem = document.createElement('div');
    		listItem.classList.add('store-list-item');
    		$('.store-list')[0].appendChild(listItem);
    		listItem.setAttribute('value',storeItem.mloc_loccd);
    		listItem.addEventListener('tap',chooseTheStore);
    		
    		
    		var listContent = document.createElement('div');
    		listContent.classList.add('store-list-content');
    		listItem.appendChild(listContent);
    		
    		var contentLeft = document.createElement('div');
    		contentLeft.classList.add('store-list-content-left');
    		listContent.appendChild(contentLeft);
    		
    		var nameEle = document.createElement('label');
    		nameEle.id = 'name';
    		nameEle.innerHTML = storeItem.mloc_locnm + '（NO.'+storeItem.mloc_loccd+'）';
    		var brEle = document.createElement('br');
    		nameEle.append(brEle);
    		contentLeft.appendChild(nameEle);
    		
    		var addEle = document.createElement('label');
    		addEle.id = 'address';
    		addEle.innerHTML = storeItem.mloc_addr1;
    		var brEle1 = document.createElement('br');
    		addEle.append(brEle1);
    		contentLeft.appendChild(addEle);
    		
    		var timeEle = document.createElement('label');
    		timeEle.id = 'time';
    		timeEle.innerHTML = '门店营业时间：'+storeItem.mloc_tmbeg+'-'+storeItem.mloc_tmend;
    		contentLeft.appendChild(timeEle);
    		
    		var stateEle = document.createElement('label');
    		stateEle.id = 'state';
    		var state;
    		if(storeItem.mloc_isopen == '1'){
    			state = '营业中';
    			stateEle.classList.add('state-open');
    		}else if(storeItem.mloc_isopen == '0'){
    			state = '休息中';
    			stateEle.classList.add('state-rest');
    		}
    		stateEle.innerHTML = state;
    		contentLeft.appendChild(stateEle);
    		
    		var distanceDiv = document.createElement('div');
    		distanceDiv.classList.add('store-list-content-right','distance');
    		distanceDiv.innerHTML = parseFloat(storeItem.distance).toFixed(2) + '公里';
    		listContent.appendChild(distanceDiv);
			
			var distance = parseFloat(storeItem.distance);
			if(distance > 1000){
				distance = distance/1000;
				distance = distance.toFixed(2) + '公里';
			}else{
				distance = distance.toFixed(2) + '米';
			}
			distanceDiv.innerHTML = distance;
    	
    	}
    	
    	
    }
    
    function chooseTheOwn(){
    	debug('chooseTheOwn()');
    	var storeItem = this;
    	var loccd = storeItem.getAttribute('value');
    	debug(loccd,'loccd');
    	
    	var storeView = plus.webview.getWebviewById('store_index');
    	if(storeView){
    		if(type == 'map'){
    			var mapView = plus.webview.getWebviewById('store-mapchoose');
    			if(mapView){
    				mapView.close();
    			}
    			mui.fire(storeView,'refreshTheStore',{'loccd':loccd});
    			mui.back();
    		}else if('store'){
    			mui.fire(storeView,'refreshTheStore',{'loccd':loccd});
    			mui.back();
    		}
    	}
    	
    }
    
    
    
    function showOwnStore(store){
    	$('.store-owner-content-left')[0].innerHTML = '';
    	$('.store-owner-content-right')[0].innerHTML = '';
    	$('.store-owner')[0].classList.remove('hide');
    	$('.store-owner')[0].setAttribute('value',store.mloc_loccd);
    	$('.store-owner')[0].addEventListener('tap',chooseTheOwn);
    	var brEle = document.createElement('br');
    	
    	var nameEle = document.createElement('label');
    	nameEle.id = 'name';
    	nameEle.innerHTML = store.mloc_locnm + '（NO.'+store.mloc_loccd+'）';
    	$('.store-owner-content-left')[0].appendChild(nameEle);
    	$('.store-owner-content-left')[0].append(brEle);
    	
    	var addEle = document.createElement('label');
    	addEle.id = 'address';
    	addEle.innerHTML = store.mloc_addr1;
    	$('.store-owner-content-left')[0].appendChild(addEle);
    	var brEle1 = document.createElement('br');
    	$('.store-owner-content-left')[0].append(brEle1);
    	
    	var timeEle = document.createElement('label');
    	timeEle.id = 'time';
    	timeEle.innerHTML = '门店营业时间：'+store.mloc_tmbeg+'-'+store.mloc_tmend;
    	$('.store-owner-content-left')[0].appendChild(timeEle);
    	
    	var stateEle = document.createElement('label');
    	stateEle.id = 'state';
    	var state;
    	if(store.mloc_isopen == '1'){
    		state = '营业中';
    		stateEle.classList.add('state-open');
    	}else if(store.mloc_isopen == '0'){
    		state = '休息中';
    		stateEle.classList.add('state-rest');
    	}
    	stateEle.innerHTML = state;
    	$('.store-owner-content-left')[0].appendChild(stateEle);
    	debug($('.store-owner-content-left')[0].innerHTML);
    	$('.store-owner-content-right')[0].innerHTML =parseFloat(store.distance).toFixed(2) + '公里';
		
		var distance = parseFloat(store.distance);
		if(distance > 1000){
			distance = distance/1000;
			distance = distance.toFixed(2) + '公里';
		}else{
			distance = distance.toFixed(2) + '米';
		}
		$('.store-owner-content-right')[0].innerHTML = distance;
    }
    
    function searchTheStoreWithCityAndName(city,keyWord){
    	var method = 'storeSearchWithName';
    	var param = {};
    	param.city_name = city;
    	param.mloc_locnm = keyWord;
    	youpinRequest(method,param,function(res){
    		// mui.toast('请求成功');
    		nearstorelist = res;
    		// debug(res);
    		showNearStoreList(res);
    	},function(fail){
    		mui.toast(fail);
    	},function(timeout){
    		mui.toast(timeout);
    	});
    }
    
    function searchTheStore(){
    	
    	// debug('searchTheStore');
    	var keyWord = $('#position-input')[0].value;
		if(!keyWord || !keyWord.length){
			mui.toast('请输入正确的店号');
			return;
		}
    	// debug(keyWord,'keyWord');
    	var city = $('#city')[0].innerHTML;
    	// debug(city,'city');
		$('.store-list')[0].innerHTML = '';
    	searchTheStoreWithCityAndName(city,keyWord);
    }
    
    document.getElementById('position-search').addEventListener('tap',searchTheStore);
})
